
<@markup id="css" >
   <#-- CSS Dependencies -->
   <@link rel="stylesheet" type="text/css" href="${url.context}/res/components/dashlets/project-sites.css"  group="dashlets" />
</@>

<@markup id="js">
   <#-- JavaScript Dependencies -->
  	<@script type="text/javascript" src="${url.context}/res/components/dashlets/project-sites.js" group="dashlets"/>
</@>


<@markup id="widgets">
   <@createWidgets group="dashlets"/>
</@>

<@markup id="html">
   <@uniqueIdDiv>
      <#assign id = args.htmlid?html>
      <#assign dashboardconfig=config.scoped['Dashboard']['dashboard']>
      <div class="dashlet project-sites">
         <div class="title">${msg("header")}</div>
         <div class="toolbar flat-button">
         
            <div style="display: inline-block;  float: left;">
               <span class="align-left yui-button yui-menu-button hidden" id="${id}-filter">
                  <span class="first-child">
                     <button type="button" tabindex="0">${msg("filter.project.all")}</button>
                  </span>
               </span>
               <select id="${id}-filter-menu">
                  <option value="all">${msg("filter.project.all")}</option>
                  <option value="active">${msg("filter.project.active")}</option>
                  <option value="inactive">${msg("filter.project.inactive")}</option>
               </select>
               <div class="clear"></div>
            </div>
            
               
            <div style="display: inline-block; float: right;">
               <span class="align-left yui-button yui-menu-button hidden" id="${id}-sort">
                  <span class="first-child">
                     <button type="button" tabindex="0">Recent</button>
                  </span>
               </span>
               <select id="${id}-sort-menu">
                  <option value="Recent">${msg("sort.by.label")} ${msg("sort.project.recent")}</option>
                  <option value="Favorite">${msg("sort.by.label")} ${msg("sort.project.favorit")}</option>
               </select>
               <div class="clear"></div>
            </div>
            
         </div>
         <div id="${id}-project-sites" class="body scrollableList" <#if args.height??>style="height: ${args.height?html}px;"</#if>></div>
      </div>
   </@>
</@>

