<#-- @overridden projects/slingshot/config/alfresco/site-webscripts/org/alfresco/components/dashlets/site-links.get.html.ftl -->

<#function checkHttpPrefix userUrl>
   <#if userUrl?matches("((.*)://(.*))")><#return ""></#if>
   <#if userUrl?matches("^((.*):(\\d{1,})((/.*){0,}))")><#return "http://"></#if>
   <#if userUrl?index_of(":") == -1><#return "http://"><#else><#return ""></#if>
   <#return "http://"> 
</#function>

<@markup id="lyse-html" action="replace" target="html">
   <@uniqueIdDiv>
      <#assign site=page.url.templateArgs.site>
      <div class="dashlet site-links">
         <div class="title">${msg("header.links")}</div>

         <div class="body scrollableList" <#if args.height??>style="height: ${args.height?html}px;"</#if>>
         <#if numLinks?? && numLinks!=0>
            <#list newLinks as link>
               
	               <div class="detail-list-item <#if link_index = 0>first-item<#elseif !link_has_next>last-item</#if>">
	                  <div>
	                     <div class="link">
	                        <#if !link.url?? || link.url?string?length<1>
	                           ${link.label?html} - ${msg("link.noUrl")}
	                        <#else>
	                          <#-- RPLP rasm - custom fix for relative paths -->
	                           <a href="<#if link.url?substring(0,1) != "/" && link.url?index_of("://") == -1>http://</#if>${link.url?html}" class="theme-color-1">${link.label?html}</a>
	                          <#-- RL end -->
	                        </#if>
	                     </div>
	                  </div>
	               </div>
               
            </#list>
         <#else>
            <div class="detail-list-item first-item last-item">
               <span>${msg("label.noLinks")}</span>
            </div>
         </#if>
         </div>
      </div>
   </@>
</@>
