function main() {
  // Get the root node from url
  var nodeRef = url.args["nodeRef"];
  var workflowId = url.args["workflowId"];

  var widget = null;
  model.showHeading = false;

  if(nodeRef == null && workflowId != null) {
    var workflowJson = remote.call("/api/lyse/noderef-from-workflowid/" + workflowId);
    if (workflowJson.status == 200) {
      nodeRef = eval('(' + workflowJson + ')').nodeRef;
    }
  }

  var nodeTypeJson = remote.call("/lyse/api/node-type?nodeRef=" + nodeRef);
  if (nodeTypeJson.status == 200
    && (eval('(' + nodeTypeJson + ')').nodeType === "lysedl:mccPackages"
      || eval('(' + nodeTypeJson + ')').nodeType === "lysedl:mccCommissioningPackages")) {
    var civilJson = remote.call("/api/lyse/getCivilSites?nodeRef=" + nodeRef);
    // Only show if there's any existing civil sites
    if(civilJson.status == 200) {
      var res = JSON.parse(civilJson);
      if(res.civilSites.length > 0) {
        widget  =   {
            id : "LyseCivilPunchItemsOverview",
            name : "Lyse.component.CivilPunchItemsOverview",
            options : {
              nodeRef: nodeRef
            }
        };
        model.showHeading = true;
      }
    }
  }
  model.widgets = [widget];
}
main();
