<#-- @overridden projects/slingshot/config/alfresco/site-webscripts/org/alfresco/components/data-lists/toolbar.get.html.ftl -->
<@markup id="lyse-css" target="css" action="after" >
   <#-- CSS Dependencies -->
   <@link href="${url.context}/res/components/data-lists/extended-toolbar.css"  group="datalists"/>
</@>

<@markup id="lyse-js" target="js" action="after">
   <#-- JavaScript Dependencies -->
   <@script type="text/javascript" src="${url.context}/res/components/data-lists/extended-toolbar.js"   group="datalists"/>
   <@script type="text/javascript" src="${url.context}/res/components/people-finder/people-finder.js" group="datalists"/>
   <@script type="text/javascript" src="${url.context}/res/components/people-finder/lyse-people-finder.js" group="datalists" />
</@>

<@markup id="fmeext_html" action="replace" target="html">
   <@uniqueIdDiv>
      <#assign id = args.htmlid?html>
      <div id="${id}-body" class="datalist-toolbar toolbar">
         <div id="${id}-headerBar" class="header-bar flat-button theme-bg-2">
            <div class="left">
               <div class="new-row">
                  <span id="${id}-newRowButton" class="yui-button yui-push-button">
                     <span class="first-child">
                        <button type="button">${msg('button.new-row')}</button>
                     </span>
                  </span>
               </div>
                <div class="new-vo">
                  <span id="${id}-newVoButton" class="yui-button yui-push-button">
                     <span class="first-child">
                        <button type="button">${msg('button.new-vo')}</button>
                     </span>
                  </span>
                </div>
                <div class="new-vor">
                  <span id="${id}-newVorButton" class="yui-button yui-push-button">
                     <span class="first-child">
                        <button type="button">${msg('button.new-vor')}</button>
                     </span>
                  </span>
                </div>
                <div class="new-civil-vo">
                  <span id="${id}-newCivilVoButton" class="yui-button yui-push-button">
                     <span class="first-child">
                        <button type="button">${msg('button.new-vo')}</button>
                     </span>
                  </span>
                </div>
                <div class="new-civil-vor">
                  <span id="${id}-newCivilVorButton" class="yui-button yui-push-button">
                     <span class="first-child">
                        <button type="button">${msg('button.new-vor')}</button>
                     </span>
                  </span>
                </div>
                <div class="new-ncr">
                  <span id="${id}-newNcrButton" class="yui-button yui-push-button">
                     <span class="first-child">
                        <button type="button">${msg('button.new-ncr')}</button>
                     </span>
                  </span>
                </div>
                <div class="new-milestone">
                  <span id="${id}-newMilestoneButton" class="yui-button yui-push-button">
                     <span class="first-child">
                        <button type="button">${msg('button.new-milestone')}</button>
                     </span>
                  </span>
                </div>
                <div class="new-milestone">
                  <span id="${id}-newCivilMilestoneButton" class="yui-button yui-push-button">
                     <span class="first-child">
                        <button type="button">${msg('button.new-milestone')}</button>
                     </span>
                  </span>
                </div>
               <div class="export-csv">
                  <span id="${id}-exportCsvButton" class="yui-button yui-push-button">
                     <span class="first-child">
                        <button type="button">${msg('button.export-csv')}</button>
                     </span>
                  </span>
               </div>
          	   <div class="import-csv">
                  <span id="${id}-importCsvButton" class="yui-button yui-push-button">
                     <span class="first-child">
                        <button type="button">${msg('button.import-csv')}</button>
                     </span>
                  </span>
               </div>
               <div class="selected-items">
                  <button class="no-access-check" id="${id}-selectedItems-button" name="doclist-selectedItems-button">${msg("menu.selected-items")}</button>
                  <div id="${id}-selectedItems-menu" class="yuimenu">
                     <div class="bd">
                        <ul>
                        <#list actionSet as action>
                           <li><a type="${action.asset!""}" rel="${action.permission!""}" href="${action.href}"><span class="${action.id}">${msg(action.label)}</span></a></li>
                        </#list>
                           <li><a href="#"><hr /></a></li>
                           <li><a href="#"><span class="onActionDeselectAll">${msg("menu.selected-items.deselect-all")}</span></a></li>
                        </ul>
                     </div>
                  </div>
               </div>
            </div>

             <div class="right">
                <div class="workflow-diagram">
                    <span id="${id}-workflowDiagramButton" class="yui-button yui-push-button">
                        <span class="first-child">
                            <button type="button">${msg('button.workflow-diagram')}</button>
                        </span>
                    </span>
                </div>
             </div>

             <div class="right" style="display: none;">
               <span id="${id}-printButton" class="yui-button yui-push-button print">
                   <span class="first-child">
                       <button type="button">${msg('button.print')}</button>
                   </span>
               </span>
               <span id="${id}-rssFeedButton" class="yui-button yui-push-button rss-feed">
                   <span class="first-child">
                       <button type="button">${msg('button.rss-feed')}</button>
                   </span>
               </span>
            </div>
         </div>
      </div>
         
         
      <!-- People Finder Dialog -->
       <div style="display: none;">
           <div id="${id}-reassignPanel" class="no-access-check task-edit-header reassign-panel">
               <div class="hd">${msg("panel.reassign.header")}</div>
               <div class="bd">
                   <div style="margin: auto 10px;">
                       <div id="${id}-peopleFinder" class="no-access-check"></div>
                   </div>
               </div>
           </div>
       </div>
       
   </@>
</@>