<#import "../../../../templates/download-link.ftl" as pickerResultsLib />

<#assign el=args.htmlid?js_string/>
<#if inHelpFolder!false>
  <#assign helpFolder="true"/>
  <#else>
    <#assign helpFolder="false"/>
</#if>

<div>
    <span id="linkbutton2" class="yui-button yui-link-button">
        <span class="first-child">
            <script type="text/javascript">
                //<![CDATA[
                if ((window.opener && window.opener.location.href.indexOf("/data-lists") > 0 && (document.referrer && document.referrer.indexOf("/data-lists") > 0))||
                  (window.opener && window.opener.location.href.indexOf("/lyse-task-edit") > 0 && (document.referrer && document.referrer.indexOf("/lyse-task-edit") > 0))) {
                <#--
                  -- Only display the "Close" button when this was a window opened from the data list view AND we came from that alsoyea. If we
                  -- don't check the referrer it would also display "Close" if a new window is opened, and the document details are shown by
                  -- clicking an attachment there, but there we should have the "Back" button to go back to the task view.
                  -->
                  document.write("<a class='datalist-nav-button' title='${msg("close.title")?js_string}' href='javascript:Lyse.util.closeWindow()'>${msg("close.text")?html}</a>");
                }
                else if (window.history.length > 1) {
                <#-- Has to find out how many steps back we need to go,
                     if the user has uploaded a new version we need to go back two steps -->
                  var counter = window.history.length -1;
                  var hr = 'javascript:window.history.go(-' + counter + ')';
                  document.write("<a class='datalist-nav-button' title='${msg("back.title")?js_string}' href=" +  hr + " >${msg("back.text")?html}</a>");
                  // Check if in helpFolder
                  if("${helpFolder}" === "true"){
                    document.getElementById("linkbutton2").getElementsByClassName("datalist-nav-button")[0].href = 'javascript:window.history.go(' + -1 + ')';
                  }
                }
                // ]]>
            </script>
        </span>
    </span>
  <span id="linkbutton3" class="yui-button yui-link-button">
    <span class="first-child">
      <a title="${msg("datalist.title")?html}" id="backtodatalist" href="#">${msg("datalist.text")?html}</a>
            <script type="text/javascript">
                //<![CDATA[
                var nodeRefString = Alfresco.util.getQueryStringParameter("nodeRef", document.location.href);
                var nodeRef = Alfresco.util.NodeRef(nodeRefString);
	              Alfresco.util.Ajax.request(
	              {
	                 url: Alfresco.constants.PROXY_URI + "api/lyse/" + nodeRef.uri + "/datalist-item",
	                 successCallback:
	                 {
	                    fn: function(response)
	                    {
                        var buttonToDatalistItem = document.getElementById('backtodatalist');
		      				      var url = null;
		      				      var datalistNodeRef = response.json.attachmentAssoc;
                        if(datalistNodeRef && response.json.datalistNodeRef) {
                            url = Alfresco.constants.URL_PAGECONTEXT + "site/" + response.json.shortName + "/lyse-datalist-details?nodeRef=" + datalistNodeRef;
                        }else if(response.json.workflowId){
                            url = Alfresco.constants.URL_PAGECONTEXT + "site/" + response.json.shortName + "/lyse-datalist-details?workflowId=" + response.json.workflowId;
                        }else{
                          // Wrong or corrupt data, lets just delete button.
                          buttonToDatalistItem.parentNode.removeChild(buttonToDatalistItem);
                          // Check if in helpFolder
                          if("${helpFolder}" === "true"){
                            document.getElementById("linkbutton2").getElementsByClassName("datalist-nav-button")[0].href = 'javascript:window.history.go(' + -1 + ')';
                          }
                        }
                        if (url !== null) {
                          // Add attachment folder link if it exists
                          Alfresco.util.Ajax.jsonGet({
                            url: Alfresco.constants.PROXY_URI + "api/lyse/attachment-folder?nodeRef=" + datalistNodeRef,
                            successCallback: {
                              fn: function (response) {
                                if (response.json !== undefined && response.json.nodeRef !== "") {
                                  //Success, this datalist item has an attachment folder
                                  url += "&docLib=" + response.json.nodeRef;
                                }
                              },
                              scope: this
                            }
                          });
                          // Reason we open in new window is because otherwise we cannot close it trough scripts.
                          buttonToDatalistItem.addEventListener('click', function () {
                            window.open(url, '_blank');
                            return false;
                          });
                        }
		      				},
	                    scope: this
                  },
	                failureCallback:
	                {
	                    fn: function(response)
	                    {
	                    	// Fail to fetch data, delete button to avoid confusion.
	                    	var buttonToDatalistItem = document.getElementById('backtodatalist');
							          buttonToDatalistItem.parentNode.removeChild(buttonToDatalistItem);
	                    },
	                    scope: this
	                }
	              });

                // #40369, only print button if Close or Back doesnt exist
                var navButtons = document.getElementsByClassName("datalist-nav-button");
                if(!navButtons.length > 0) {
                  document.write("<a title='${msg("datalist.title")?js_string}' id='backtodatalist' href>${msg("datalist.text")?html}</a>");
                }
                // Check if in helpFolder
                if("${helpFolder}" === "true"){
                  document.getElementById("linkbutton2").getElementsByClassName("datalist-nav-button")[0].href = 'javascript:window.history.go(' + -1 + ')';
                }
                // ]]>
            </script>
        </span>
    </span>
    <@pickerResultsLib.setDownloadButton/>
</div>
<div>
    <span>
        &nbsp;
    </span>
</div>
