<#include "/org/alfresco/components/documentlibrary/include/documentlist_v2.lib.ftl" />
<#include "/org/alfresco/components/form/form.dependencies.inc">

<@markup id="css" >
   <#-- CSS Dependencies -->
   <@link rel="stylesheet" type="text/css" href="${url.context}/res/components/documentlibrary/toolbar.css" group="documentlibrary"/>
   <@link rel="stylesheet" type="text/css" href="${url.context}/res/components/documentlibrary/documentlist_v2.css" group="documentlibrary"/>
   <@link rel="stylesheet" type="text/css" href="${url.context}/res/components/document/comment-authority-dialog.css" group="documentlibrary"/> 
   <@link rel="stylesheet" type="text/css" href="${url.context}/res/components/people-finder/group-finder.css" group="documentlibrary"/>
   <@viewRenderererCssDeps/>
</@>

<#-- #36198 - hide options -->
<style>
.options-select{
  display: none;
}
</style>

<@markup id="js">
   <#-- JavaScript Dependencies -->

   <@script type="text/javascript" src="${url.context}/res/components/documentlibrary/toolbar.js" group="documentlibrary"/>
   <@script type="text/javascript" src="${url.context}/res/components/documentlibrary/repo-toolbar.js" group="documentlibrary"/>
   <@script type="text/javascript" src="${url.context}/res/components/documentlibrary/documentlist.js" group="documentlibrary"/>
   <@script type="text/javascript" src="${url.context}/res/components/documentlibrary/lyse-documentlist.js" group="documentlibrary"/>
   <@script type="text/javascript" src="${url.context}/res/components/document/change-permission-dialog.js" group="documentlibrary"/>
   <@script type="text/javascript" src="${url.context}/res/components/people-finder/lyse-group-finder.js" group="documentlibrary"/>
   <@viewRenderererJsDeps/>
   <@script type="text/javascript" src="${url.context}/res/components/documentlibrary/lyse-documentlist-view-table.js" group="documentlibrary"/>
   <@script type="text/javascript" src="${url.context}/res/components/documentlibrary/lyse-documentlist-actions.js" group="documentlibrary"/>
  <@script type="text/javascript" src="${url.context}/res/components/documentlibrary/extended-toolbar.js" group="documentlibrary"/>
</@>

<@markup id="widgets">
   <@createWidgets group="documentlibrary"/>
</@>

<@uniqueIdDiv>
   <@markup id="html">
      <#if showHeading != false>
      	<h1 id='attachment-doclib-header'>${heading}</h1>
      </#if>
      	<@uniqueIdDiv>
		<#assign el=args.htmlid?html>
		<@inlineScript group="clipboard-menu">
			new Alfresco.module.Clipboard("${el}").setOptions({
			}).setMessages(${messages});
		</@>
	</@>

      <@documentlistTemplate/>
   </@>
</@>
