<#include "/org/alfresco/components/form/controls/common/utils.inc.ftl" />
<#-- This component is used in the case where a contractor needs to be entered, all epc-sites are fetched. -->

<#if field.control.params.size??><#assign size=field.control.params.size><#else><#assign size=5></#if>
<#if field.control.params.optionSeparator??>
   <#assign optionSeparator=field.control.params.optionSeparator>
<#else>
   <#assign optionSeparator=",">
</#if>
<#if field.control.params.labelSeparator??>
   <#assign labelSeparator=field.control.params.labelSeparator>
<#else>
   <#assign labelSeparator="|">
</#if>



<div class="form-field">
   <#if form.mode == "view">
      <div class="viewmode-field">
         <#if field.mandatory && !(field.value?is_number) && field.value?string == "">
            <span class="incomplete-warning"><img src="${url.context}/res/components/form/images/warning-16.png" title="${msg("form.field.incomplete")}" /><span>
         </#if>
         <span class="viewmode-label">${field.label?html}:</span>
         <#if field.value?string == "">
            <#assign valueToShow=msg("form.control.novalue")>
         <#else>
            <#assign valueToShow=field.value>
            <#if field.control.params.options??>
              <#list field.control.params.options?split(optionSeparator) as nameValue>
                 <#if nameValue?index_of(labelSeparator) == -1>
                    <#if nameValue == field.value?string || (field.value?is_number && field.value?c == nameValue)>
                       <#assign valueToShow=nameValue>
                       <#break>
                    </#if>
                 <#else>
                    <#assign choice=nameValue?split(labelSeparator)>
                    <#if choice[0] == field.value?string || (field.value?is_number && field.value?c == choice[0])>
                       <#assign valueToShow=msgValue(choice[1])>
                       <#break>
                    </#if>
                 </#if>
              </#list>
            </#if>
         </#if>
         <span class="viewmode-value">${valueToShow?html}</span>
      </div>
   <#else>
   <script>
   //<![CDATA[
   YAHOO.util.Event.onDOMReady(
    function () {

      var siteShortName;
      var options = {};
      
      options.selectedValue = "${field.value}";
      options.sort = "${field.control.params.sort!"true"}";
      options.searchTerm = 
      <#if field.control.params.addEmptyOption?? && field.control.params.addEmptyOption=="true">
        options.addEmptyOption = true;
      </#if>

 	  <#if field.control.params.searchTerm??>
        options.searchTerm = "${field.control.params.searchTerm}";
      </#if>
      options.siteShortName = Alfresco.constants.SITE;
      var InterfaceGroupsSelectMany = new RPLP.InterfaceGroupsSelectMany("${fieldHtmlId}").setOptions(options);
      
      YAHOO.Bubbling.on('resetForm', function (layer, args) {
      InterfaceGroupsSelectMany._delselectValues(InterfaceGroupsSelectMany);
	  });
    
    });
  //]]></script>
      <label for="${fieldHtmlId}">${field.label?html}:</label>
      	 <input id="${fieldHtmlId}" type="hidden" name="${field.name}" value="" />
         <select id="${fieldHtmlId}-entry" name="-" multiple="multiple" size="${size}" tabindex="0"
         		onchange="javascript:Alfresco.util.updateMultiSelectListValue('${fieldHtmlId}-entry', '${fieldHtmlId}', <#if field.mandatory>true<#else>false</#if>);"
               <#if field.description??>title="${field.description}"</#if>
               <#if field.control.params.size??>size="${field.control.params.size}"</#if> 
               <#if field.control.params.styleClass??>class="${field.control.params.styleClass}"</#if>
               <#if field.control.params.style??>style="${field.control.params.style}"</#if>
               <#if field.disabled  && !(field.control.params.forceEditable?? && field.control.params.forceEditable == "true")>disabled="true"</#if>>
               <option>Loading...</option>
         </select>
         <@formLib.renderFieldHelp field=field />
     
   </#if>
</div>