<#-- @overridden projects/slingshot/config/alfresco/site-webscripts/org/alfresco/components/workflow/task-edit-header.get.html.ftl -->

<@markup id="lyse-workflow-form-js" target="js" action="after">
    <!-- Lyse JS dependencies -->
   <@script src="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js" group="workflow"/>
   <@script src="${url.context}/res/components/form/upload-new-revision.js" group="workflow" />
   <@script src="${url.context}/res/components/workflow/lyse-close-window-after-submit.js" group="workflow" />
   <@script src="${url.context}/res/components/workflow/lyse-workflow-redirect.js" group="workflow" />
   <@script src="${url.context}/res/components/people-finder/lyse-people-finder.js" group="workflow" />
   <@script src="${url.context}/res/components/workflow/lyse-task-edit-header.js" group="workflow" />
   <@script src="${url.context}/res/js/lyse/allsites/Lyse-datalist-extensions.js" group="workflow" />
   <@script src="${url.context}/res/components/workflow/lyse-add-close-window-button.js" group="workflow" />
   <@script src="${url.context}/res/js/lyse/allsites/LyseDatalistPageReload.js" group="workflow" />
</@>



<@markup id="overridenHtml" target="html" action="replace">
   <@uniqueIdDiv>
      <#include "/org/alfresco/include/alfresco-macros.lib.ftl" />
      <#assign el=args.htmlid?html>
   <div id="${el}-body" class="form-manager task-edit-header">
       <div class="actions">
            <span class="claim hidden">
               <button id="${el}-claim">${msg("button.claim")}</button>
            </span>
           <span class="reassign hidden">
               <button id="${el}-reassign">${msg("button.reassign")}</button>
            </span>
           <span class="release hidden">
               <button id="${el}-release">${msg("button.release")}</button>
            </span>
           <span class="view-all hidden">
               <button id="${el}-view-all">${msg("button.view.details")?html}</button>
            </span>
       </div>
       <div style="float:left;">
           <h1 id="data-list-item-header"></h1>
           <br/>
           <h1>${msg("header")}: <span></span></h1>
       </div>


       <div class="clear"></div>
       <div class="unassigned-message hidden theme-bg-color-2 theme-border-4"><span>${msg("message.unassigned")}</span>
       </div>

       <!-- People Finder Dialog -->
       <div style="display: none;">
           <div id="${el}-reassignPanel" class="task-edit-header reassign-panel">
               <div class="hd">${msg("panel.reassign.header")}</div>
               <div class="bd">
                   <div style="margin: auto 10px;">
                       <div id="${el}-peopleFinder"></div>
                   </div>
               </div>
           </div>
       </div>
   </div>
   </@>
</@>
