<#assign el=args.htmlid?html>
<div id="${el}-dialog" class="create-site create-project">
   <div class="hd">
      <@markup id="title">${msg("header.createSite")}</@markup>
   </div>
   <div class="bd">
      <form id="${el}-form" method="POST" action="">

         <#-- FIELDS -->
         <@markup id="fields">

            <input type="hidden" id="${el}-visibility" name="visibility" value="PRIVATE"/>

            <#-- TITLE -->
            <div class="yui-gd">
               <div class="yui-u first"><label for="${el}-title">${msg("lysep_lyseProjectModel.property.lysep_projectName.title")}:&nbsp;*</label></div>
               <div class="yui-u"><input id="${el}-title" type="text" name="title" tabindex="0" maxlength="255" autocomplete="off" /><br />
               <span class="help">${msg("lysep_lyseProjectModel.property.lysep_projectName.description")}</span></div>
            </div>

            <#-- SHORTNAME -->
            <div class="yui-gd">
               <div class="yui-u first"><label for="${el}-shortName">${msg("label.shortName")}:&nbsp;*</label></div>
               <div class="yui-u">
                  <input id="${el}-shortName" type="text" name="shortName" tabindex="0" maxlength="255" /><br>
                  <span class="help">${msg("label.shortNameHelp")}</span>
               </div>
            </div>

            <#-- DESCRIPTION lysep:projectDescription-->
            <div class="yui-gd">
               <div class="yui-u first"><label for="${el}-description">${msg("lysep_lyseProjectModel.property.lysep_projectDescription.title")}:&nbsp;</label></div>
               <div class="yui-u"><textarea id="${el}-description" name="description" rows="3" tabindex="0"></textarea><br />
               <span class="help">${msg("label.projectDescriptionHelp")}</span></div>
            </div>

            <input type="hidden" id="${el}-sitePreset" name="sitePreset" value="${sitePresets[0].id}" />

            <#-- PROJECT LEVEL lysep:projectLevel
            <div class="yui-gd">
               <div class="yui-u first"><label for="${el}-projectLevel">${msg("lysep_lyseProjectModel.property.lysep_projectLevel.title")}:&nbsp;*</label></div>
               <div class="yui-u">
                  <select id="${el}-projectLevel" name="projectLevel" tabindex="0">
                     <#list projectLevels as projectLevel>
                        <option value="${projectLevel.id}">${projectLevel.name}</option>
                     </#list>
                  </select><br>
                  <span class="help">${msg("lysep_lyseProjectModel.property.lysep_projectLevel.description")}</span>
               </div>
            </div>
             -->
                  <select id="${el}-projectLevel" name="projectLevel" tabindex="0" style="display: none;">
                      <option value="project" style="display: none;" selected>project</option>
                  </select>
             
             
            <#-- REMOVED, see svk project for autocomplete subproject -- PROJECT PARENT lysep:subProject -->
            
            <#-- PROJECT NUMBER lysep:projectNumber
            <div class="yui-gd">
               <div class="yui-u first"><label for="${el}-projectNumber">${msg("lysep_lyseProjectModel.property.lysep_projectNumber.title")}:</label></div>
               <div class="yui-u">
                  <input id="${el}-projectNumber" type="text" name="projectNumber" tabindex="0" maxlength="255" /><br>
                  <span class="help">${msg("lysep_lyseProjectModel.property.lysep_projectNumber.description")}</span>
               </div>
            </div>
             -->
            <#-- PROJECT MANAGER lysep:projectManager 
            <#assign fieldHtmlId = el + "-projectManager">
            <#assign controlId = fieldHtmlId + "-cntrl">
            <#assign field = {"control":{"params":{}}, "disabled":false, "name":fieldHtmlId, "value":"", "endpointType":"cm:person", "endpointMany":false}>
            <#assign form = {"mode":"edit"}>
            
            <#include "/org/alfresco/components/form/controls/common/picker.inc.ftl" />
            <div class="yui-gd">
               <div class="yui-u first"><label for="${el}-projectManager">${msg("lysep_lyseProjectModel.property.lysep_projectManagerFullName.title")}:&nbsp;*</label></div>
               <div class="yui-u">
                  <script type="text/javascript">//<![CDATA[
                  (function()
                  {

                        var picker = new Alfresco.ObjectFinder("${controlId}", "${fieldHtmlId}").setOptions(
                     {
                        
                        field: "projectManager",
                        compactMode: false,
                        mandatory: true,
                        currentValue: "",      
                        selectActionLabel: "${msg("form.control.object-picker.add-item")}",
                        minSearchTermLength: 1,
                        maxSearchResults: 1000
                     }).setMessages(
                        ${messages}
                     );
                     picker.setOptions(
                     {
                        itemType: "cm:person",
                        multipleSelectMode: false,
                        itemFamily: "authority"
                     });
                  })();
                  //]]>
                  </script>                          
                  <div class="form-container">
                  <div id="${controlId}" class="object-finder">
                     
                     <div id="${controlId}-currentValueDisplay" class="current-values"></div>
                     
                     
                        <input type="hidden" id="${fieldHtmlId}" name="projectManager" value="" />
                        <input type="hidden" id="${controlId}-added" name="projectManager_added" />
                        <input type="hidden" id="${controlId}-removed" name="projectManager_removed" />
                        <div id="${controlId}-itemGroupActions" class="show-picker"></div>
                        

                        <@renderPickerHTML controlId />

                  </div>
                  <span class="help">${msg("lysep_lyseProjectModel.property.lysep_projectManagerFullName.description")}</span>
               </div>
              </div>
            </div>
            -->
            <#-- PROJECT STATUS lysep:projectStatus
            <div class="yui-gd">
               <div class="yui-u first"><label for="${el}-projectStatus">${msg("lysep_lyseProjectModel.property.lysep_projectStatus.title")}:&nbsp;*</label></div>
               <div class="yui-u">
                  <select id="${el}-projectStatus" name="projectStatus" tabindex="0">
                     <#list projectStatuses as projectStatus>
                        <option value="${projectStatus.id}">${projectStatus.name}</option>
                     </#list>
                  </select><br>
                  <span class="help">${msg("lysep_lyseProjectModel.property.lysep_projectStatus.description")}</span>
               </div>
            </div>
             -->
            <#-- PROJECT START DATE lysep:projectStartDate
            <#assign fieldHtmlId = el + "-projectStartDate">
            <#assign controlId = fieldHtmlId + "-cntrl">
            <div class="yui-gd">
               <div class="yui-u first"><label for="${fieldHtmlId}">${msg("lysep_lyseProjectModel.property.lysep_projectStartDate.title")}:&nbsp;*</label></div>
               <div class="yui-u">
                  <script type="text/javascript">//<![CDATA[
                  (function()
                  {
                     new Alfresco.DatePicker("${controlId}", "${fieldHtmlId}").setOptions(
                     {
                        currentValue: "",
                        showTime: false,
                        submitTime: false,
                        mandatory: true
                     }).setMessages(
                        ${messages}
                     );
                  })();
                  //]]></script>
               
                  <input id="${fieldHtmlId}" type="hidden" name="projectStartDate" value="" />
                                 
                  <input id="${controlId}-date" name="-" type="text" class="date-entry" title="${msg("label.projectStartDateHelp")}" />
                  <a id="${controlId}-icon"><img src="${url.context}/res/components/form/images/calendar.png" class="datepicker-icon" tabindex="0"/></a><br />
                  <div class="form-container">
                     <div id="${controlId}" class="datepicker"></div>
                  </div>
                  <span class="help">${msg("form.control.date-picker.display.date.format")}</span>
               </div>
            </div>
             -->
            <#-- PROJECT END DATE lysep:projectEndDate
            <#assign fieldHtmlId = el + "-projectEndDate">
            <#assign controlId = fieldHtmlId + "-cntrl">
            <div class="yui-gd">
               <div class="yui-u first"><label for="${el}-projectEndDate">${msg("lysep_lyseProjectModel.property.lysep_projectEndDate.title")}:</label></div>
               <div class="yui-u">
                  <script type="text/javascript">//<![CDATA[
                  (function()
                  {
                     new Alfresco.DatePicker("${controlId}", "${fieldHtmlId}").setOptions(
                     {
                        currentValue: "",
                        showTime: false,
                        submitTime: false,
                        mandatory: false
                     }).setMessages(
                        ${messages}
                     );
                  })();
                  //]]></script>
               
                  <input id="${fieldHtmlId}" type="hidden" name="projectEndDate" value="" />
                                 
                  <input id="${controlId}-date" name="-" type="text" class="date-entry" title="${msg("label.projectEndDateHelp")}" />
                  <a id="${controlId}-icon"><img src="${url.context}/res/components/form/images/calendar.png" class="datepicker-icon" tabindex="0"/></a><br />
                  <div class="form-container">
                     <div id="${controlId}" class="datepicker"></div>
                  </div>
                  <span class="help">${msg("form.control.date-picker.display.date.format")}</span>
               </div>
            </div>
             -->
            <#-- PROJECT CASE NUMBER lysep:projectCaseNumber
            <div class="yui-gd">
               <div class="yui-u first"><label for="${el}-projectCaseNumber">${msg("lysep_lyseProjectModel.property.lysep_projectCaseNumber.title")}:&nbsp;*</label></div>
               <div class="yui-u">
                  <input id="${el}-projectCaseNumber" type="text" name="projectCaseNumber" tabindex="0" maxlength="255" /><br>
                  <span class="help">${msg("label.projectCaseNumberHelp")}</span>
               </div>
            </div>
             -->
            <#-- PROJECT TYPE lysep:projectType
            <div class="yui-gd">
               <div class="yui-u first"><label for="${el}-projectType">${msg("lysep_lyseProjectModel.property.lysep_projectType.title")}:&nbsp;*</label></div>
               <div class="yui-u">
                  <select id="${el}-projectType" name="projectType" tabindex="0">
                     <#list projectTypes as projectType>
                        <option value="${projectType.id}">${projectType.name}</option>
                     </#list>
                  </select><br>
                  <span class="help">${msg("lysep_lyseProjectModel.property.lysep_projectType.description")}</span>
               </div>
            </div>
             -->
            <#-- PROJECT ID lysep:projectId 
            <div class="yui-gd">
               <div class="yui-u first"><label for="${el}-projectId">${msg("lysep_lyseProjectModel.property.lysep_projectId.title")}:&nbsp;*</label></div>
               <div class="yui-u">
                  <input id="${el}-projectId" type="text" name="projectId" tabindex="0" maxlength="255" /><br>
                  <span class="help">${msg("lysep_lyseProjectModel.property.lysep_projectId.description")}</span>
               </div>
            </div>
            -->

            <#-- TYPE -->
            <input id="${el}-type" type="hidden" tabindex="0" name="type"/>          
            
         </@markup>

         <div class="bdft">
            <#-- BUTTONS -->
            <input type="submit" id="${el}-ok-button" value="${msg("button.ok")}" tabindex="0"/>
            <input type="button" id="${el}-cancel-button" value="${msg("button.cancel")}" tabindex="1"/>
         </div>
      </form>
   </div>
</div>

<script type="text/javascript">//<![CDATA[
Alfresco.util.addMessages(${messages}, "Alfresco.module.CreateProject");
//]]></script>