<@uniqueIdDiv>
   <@markup id="html">
   <#assign id=args.htmlid?html>
   		<h1 id="reportsheader">${message("page.reports.reportstypes.menu.title")}</h1>
   		<br />
		<div id="reportscontainer" class="reportscontainer" style="width: 100%; z-index: 10;"></div>
		<div id="reportscsvlinkcontainer"><br /><a id="reportscsvlink" style="display: none;" href="">${message("page.reports.downloadascsv")}</a>
   	<script type="text/javascript">
      var actionListMemberConf = function(url)
      {
        return {
          "dataUrl": url,
          "heading":  "${message("page.reports.actionlistpermember.title")}",
          "columnDefs": [
            {
              "key" : "user",
              "label" : "${message("page.reports.column.user.label")}",
              "sortable" : true
            },
            {
              "key" : "draft_count",
              "label" : "${message("page.reports.datatable.actionlist.status.draft.label")}",
              "formatter" : "number",
              "parser" : "number",
              "sortable" : true
            },
            {
              "key" : "action_count",
              "label" : "${message("page.reports.datatable.actionlist.status.action.label")}",
              "formatter" : "number",
              "parser" : "number",
              "sortable" : true
            },
            {
              "key" : "done_count",
              "label" : "${message("page.reports.datatable.actionlist.status.done.label")}",
              "formatter" : "number",
              "parser" : "number",
              "sortable" : true
            },
            {
              "key" : "overdue_count",
              "label" : "${message("page.reports.datatable.actionlist.status.overdue.label")}",
              "formatter" : "number",
              "parser" : "number",
              "sortable" : true
            },
            {
              "key" : "for_closing_count",
              "label" : "${message("page.reports.datatable.actionlist.status.for_closing.label")}",
              "formatter" : "number",
              "parser" : "number",
              "sortable" : true
            },
            {
              "key" : "closed_count",
              "label" : "${message("page.reports.datatable.actionlist.status.closed.label")}",
              "formatter" : "number",
              "parser" : "number",
              "sortable" : true
            }
          ]
        };
      };

var reportsConf = {
    "correspondence" : {
    	"dataUrl": "lyse/report/correspondence/",
    	"heading":  "${message("page.reports.correspondence.title")}",
    	"columnDefs": [
    		{
    			"key" : "status",
    			"label" : "${message("page.reports.column.status.label")}",
                "sortable" : true
    		},
    		{
    			"key" : "count",
    			"label" : "${message("page.reports.column.count.label")}",
				"formatter" : "number",
                "parser" : "number",
                "sortable" : true
    		}
    	]
    },
    "civil-correspondence" : {
        "dataUrl": "lyse/report/civil-correspondence/",
        "heading":  "${message("page.reports.civil-correspondence.title")}",
        "columnDefs": [
            {
                "key" : "status",
                "label" : "${message("page.reports.column.status.label")}",
                "sortable" : true
            },
            {
                "key" : "count",
                "label" : "${message("page.reports.column.count.label")}",
                "formatter" : "number",
                "parser" : "number",
                "sortable" : true
            }
        ]
    },
    "vor" : {
    	"dataUrl": "lyse/report/vor/",
    	"heading":  "${message("page.reports.vorandvo.title")}",
    	"columnDefs": [
    		{
    			"key" : "status",
    			"label" : "${message("page.reports.column.status.label")}",
                "sortable" : true
    		},
    		{
    			"key" : "consequence_nok",
    			"label" : "${message("page.reports.column.consequence_nok.label")}",
                "formatter" : Lyse.reports.formatters.cellValueFormatter("page.reports.datatable.vor.status.vo_vor.separator"),
                "parser" : "number",
                "sortable" : true
    		},
    		{
    			"key" : "consequence_eur",
    			"label" : "${message("page.reports.column.consequence_eur.label")}",
                "formatter" : Lyse.reports.formatters.cellValueFormatter("page.reports.datatable.vor.status.vo_vor.separator"),
                "parser" : "number",
                "sortable" : true
    		},
    		{
    			"key" : "count",
    			"label" : "${message("page.reports.column.count.label")}",
                "formatter" : "number",
                "parser" : "number",
                "sortable" : true
    		}
    	]
    },
    "ncr" : {
    	"dataUrl": "lyse/report/ncr/",
    	"heading":  "${message("page.reports.ncr.title")}",
    	"columnDefs": [
    		{
    			"key" : "status",
    			"label" : "${message("page.reports.column.status.label")}",
                "sortable" : true
    		},
    		{
    			"key" : "count",
    			"label" : "${message("page.reports.column.count.label")}",
                "formatter" : "number",
                "parser" : "number",
                "sortable" : true
    		}
    	]
    },
    "actionlist" : {
    	"dataUrl": "lyse/report/actionlist/",
    	"heading":  "${message("page.reports.actionlist.title")}",
    	"columnDefs": [
    		{
    			"key" : "status",
    			"label" : "${message("page.reports.column.status.label")}",
                "sortable" : true
    		},
    		{
    			"key" : "count",
    			"label" : "${message("page.reports.column.count.label")}",
                "formatter" : "number",
                "parser" : "number",
                "sortable" : true
    		}
    	]
    },
    "actionlistmember" :actionListMemberConf("lyse/report/actionlistmember/"),
    "contractorsdocumentlist" : {
    	"dataUrl": "lyse/report/contractorsdocumentlist/",
    	"heading":  "${message("page.reports.contractorsdocumentlist.title")}",
    	"columnDefs": [
    		{
    			"key" : "status",
    			"label" : "${message("page.reports.column.status.label")}",
                "sortable" : true
    		},
    		{
    			"key" : "count",
    			"label" : "${message("page.reports.column.count.label")}",
                "formatter" : "number",
                "parser" : "number",
                "sortable" : true
    		}
    	]
    },
    "milestone" : {
    	"dataUrl": "lyse/report/milestone/",
    	"heading":  "${message("page.reports.milestone.title")}",
    	"columnDefs": [
    		{
    			"key" : "status",
    			"label" : "${message("page.reports.column.status.label")}",
				"sortable" : true
    		},
    		{
    			"key" : "count",
    			"label" : "${message("page.reports.column.count.label")}",
                "formatter" : "number",
                "parser" : "number",
                "sortable" : true
    		}
    	]
    },
    "riskmanagement" : {
    	"dataUrl": "lyse/report/riskmanagement/",
    	"heading":  "${message("page.reports.riskmanagement.title")}",
    	"columnDefs": [
    		{
    			"key" : "status",
    			"label" : "${message("page.reports.column.status.label")}",
                "sortable" : true
    		},
    		{
    			"key" : "count",
    			"label" : "${message("page.reports.column.count.label")}",
                "formatter" : "number",
                "parser" : "number",
                "sortable" : true
    		}
    	]
    },
    "interfaceactionlist" : {
        "dataUrl": "lyse/report/interfaceactionlist/",
        "heading":  "${message("page.reports.actionlist.title")}",
        "columnDefs": [
            {
                "key" : "status",
                "label" : "${message("page.reports.column.status.label")}",
                "sortable" : true
            },
            {
                "key" : "count",
                "label" : "${message("page.reports.column.count.label")}",
                "formatter" : "number",
                "parser" : "number",
                "sortable" : true
            }
        ]
    },
    "interfaceactionlistmember" : actionListMemberConf("lyse/report/interfaceactionlistmember/"),

    "epb" : {
        "dataUrl": "lyse/report/epb/",
        "heading":  "${message("page.reports.epb.title")}",
        "columnDefs": [
            {
                "key" : "status",
                "label" : "${message("page.reports.column.status.label")}",
                "sortable" : true
            },
            {
                "key" : "count",
                "label" : "${message("page.reports.column.count.label")}",
                "formatter" : "number",
                "parser" : "number",
                "sortable" : true
            }
        ]
    },
    "ias" : {
        "dataUrl": "lyse/report/ias/",
        "heading":  "${message("page.reports.ias.title")}",
        "columnDefs": [
            {
                "key" : "status",
                "label" : "${message("page.reports.column.status.label")}",
                "sortable" : true
            },
            {
                "key" : "count",
                "label" : "${message("page.reports.column.count.label")}",
                "formatter" : "number",
                "parser" : "number",
                "sortable" : true
            }
        ]
    },
    "irl" : {
        "dataUrl": "lyse/report/irl/",
        "heading":  "${message("page.reports.irl.title")}",
        "columnDefs": [
            {
                "key" : "status",
                "label" : "${message("page.reports.column.status.label")}",
                "sortable" : true
            },
            {
                "key" : "count",
                "label" : "${message("page.reports.column.count.label")}",
                "formatter" : "number",
                "parser" : "number",
                "sortable" : true
            }
        ]
    },
    "punchlist" : {
        "dataUrl": "lyse/report/punchlist/",
        "heading":  "${message("page.reports.punchlist.title")}",
        "columnDefs": [
            {
                "key" : "status",
                "label" : "${message("page.reports.column.status.label")}",
                "sortable" : true
            },
            {
                "key" : "count",
                "label" : "${message("page.reports.column.count.label")}",
                "formatter" : "number",
                "parser" : "number",
                "sortable" : true
            }
        ]
    },
    "civilpunchlist" : {
        "dataUrl": "lyse/report/civilpunchlist/",
        "heading":  "${message("page.reports.civilpunchlist.title")}",
        "columnDefs": [
            {
                "key" : "status",
                "label" : "${message("page.reports.column.status.label")}",
                "sortable" : true
            },
            {
                "key" : "count",
                "label" : "${message("page.reports.column.count.label")}",
                "formatter" : "number",
                "parser" : "number",
                "sortable" : true
            }
        ]
    },
    "sja" : {
        "dataUrl": "lyse/report/sja/",
        "heading":  "${message("page.reports.sja.title")}",
        "columnDefs": [
            {
                "key" : "status",
                "label" : "${message("page.reports.column.status.label")}",
                "sortable" : true
            },
            {
                "key" : "count",
                "label" : "${message("page.reports.column.count.label")}",
                "formatter" : "number",
                "parser" : "number",
                "sortable" : true
            }
        ]
    },
    "rrm" : {
        "dataUrl": "lyse/report/rrm/",
        "heading":  "${message("page.reports.rrm.title")}",
        "columnDefs": [
            {
                "key" : "status",
                "label" : "${message("page.reports.column.status.label")}",
                "sortable" : true
            },
            {
                "key" : "count",
                "label" : "${message("page.reports.column.count.label")}",
                "formatter" : "number",
                "parser" : "number",
                "sortable" : true
            }
        ]
    },
    "rui" : {
        "dataUrl": "lyse/report/rui/",
        "heading":  "${message("page.reports.rui.title")}",
        "columnDefs": [
            {
                "key" : "status",
                "label" : "${message("page.reports.column.status.label")}",
                "sortable" : true
            },
            {
                "key" : "count",
                "label" : "${message("page.reports.column.count.label")}",
                "formatter" : "number",
                "parser" : "number",
                "sortable" : true
            }
        ]
    },
    "generic-documents" : {
        "dataUrl": "lyse/report/generic-documents/",
        "heading":  "${message("page.reports.generic-documents.title")}",
        "columnDefs": [
            {
                "key" : "status",
                "label" : "${message("page.reports.column.status.label")}",
                "sortable" : true
            },
            {
                "key" : "count",
                "label" : "${message("page.reports.column.count.label")}",
                "formatter" : "number",
                "parser" : "number",
                "sortable" : true
            }
        ]
    },

    "generic-actions" : {
            "dataUrl": "lyse/report/generic-actions/",
            "heading":  "${message("page.reports.generic-actions.title")}",
            "columnDefs": [
                {
                    "key" : "status",
                    "label" : "${message("page.reports.column.status.label")}",
                    "sortable" : true
                },
                {
                    "key" : "count",
                    "label" : "${message("page.reports.column.count.label")}",
                    "formatter" : "number",
                    "parser" : "number",
                    "sortable" : true
                }
            ]
        },

    "hse-action" : {
        "dataUrl": "lyse/report/hse-action/",
        "heading":  "${message("page.reports.hse-action.title")}",
        "columnDefs": [
            {
                "key" : "status",
                "label" : "${message("page.reports.column.status.label")}",
                "sortable" : true
            },
            {
                "key" : "count",
                "label" : "${message("page.reports.column.count.label")}",
                "formatter" : "number",
                "parser" : "number",
                "sortable" : true
            }
        ]
    },
    "mcc-signals-test-status-local" : {
        "dataUrl": "lyse/report/mcc-signals-test-status-local/",
        "heading":  "${message("page.reports.mcc-signals-test-status-local.title")}",
        "columnDefs": [
            {
                "key" : "status",
                "label" : "${message("page.reports.column.status.label")}",
                "sortable" : true
            },
            {
                "key" : "count",
                "label" : "${message("page.reports.column.count.label")}",
                "formatter" : "number",
                "parser" : "number",
                "sortable" : true
            }
        ]
    },
    "mcc-signals-test-status-remote" : {
        "dataUrl": "lyse/report/mcc-signals-test-status-remote/",
        "heading":  "${message("page.reports.mcc-signals-test-status-remote.title")}",
        "columnDefs": [
            {
                "key" : "status",
                "label" : "${message("page.reports.column.status.label")}",
                "sortable" : true
            },
            {
                "key" : "count",
                "label" : "${message("page.reports.column.count.label")}",
                "formatter" : "number",
                "parser" : "number",
                "sortable" : true
            }
        ]
    },
    "mcc-cables-test-status" : {
        "dataUrl": "lyse/report/mcc-cables-test-status/",
        "heading":  "${message("page.reports.mcc-cables-test-status.title")}",
        "columnDefs": [
            {
                "key" : "status",
                "label" : "${message("page.reports.column.status.label")}",
                "sortable" : true
            },
            {
                "key" : "count",
                "label" : "${message("page.reports.column.count.label")}",
                "formatter" : "number",
                "parser" : "number",
                "sortable" : true
            }
        ]
    },
    "mcc-action" : {
        "dataUrl": "lyse/report/mcc-action/",
        "heading":  "${message("page.reports.mcc-action.title")}",
        "columnDefs": [
            {
                "key" : "status",
                "label" : "${message("page.reports.column.status.label")}",
                "sortable" : true
            },
            {
                "key" : "count",
                "label" : "${message("page.reports.column.count.label")}",
                "formatter" : "number",
                "parser" : "number",
                "sortable" : true
            }
        ]
    },
	"action-with-project" : {
        "dataUrl": "lyse/report/action-with-project/",
        "heading":  "${message("page.reports.action-with-project.title")}",
        "columnDefs": [
            {
                "key" : "status",
                "label" : "${message("page.reports.column.status.label")}",
                "sortable" : true
            },
            {
                "key" : "count",
                "label" : "${message("page.reports.column.count.label")}",
                "formatter" : "number",
                "parser" : "number",
                "sortable" : true
            }
        ]
    },
    "mcc-packages" : {
      "dataUrl": "lyse/report/mcc-packages/",
      "heading":  "${message("page.reports.mcc-packages.title")}",
      "columnDefs": [
          {
              "key" : "status",
              "label" : "${message("page.reports.column.status.label")}",
              "sortable" : true
          },
          {
              "key" : "count",
              "label" : "${message("page.reports.column.count.label")}",
              "formatter" : "number",
              "parser" : "number",
              "sortable" : true
          }
      ]
  	},
	"mcc-commissioning-packages" : {
      "dataUrl": "lyse/report/mcc-commissioning-packages/",
      "heading":  "${message("page.reports.mcc-commissioning-packages.title")}",
      "columnDefs": [
          {
              "key" : "status",
              "label" : "${message("page.reports.column.status.label")}",
              "sortable" : true
          },
          {
              "key" : "count",
              "label" : "${message("page.reports.column.count.label")}",
              "formatter" : "number",
              "parser" : "number",
              "sortable" : true
          }
      ]
  	},
    "civil-measured-quantity" : {
      "dataUrl": "lyse/report/civil-measured-quantity/",
      "heading":  "${message("page.reports.civil-measured-quantity.title")}",
      "columnDefs": [
          {
              "key" : "status",
              "label" : "${message("page.reports.column.status.label")}",
              "sortable" : true
          },
          {
              "key" : "count",
              "label" : "${message("page.reports.column.count.label")}",
              "formatter" : "number",
              "parser" : "number",
              "sortable" : true
          }
      ]
  	},
    "civil-milestone" : {
        "dataUrl": "lyse/report/civil-milestone/",
        "heading":  "${message("page.reports.civil-milestone.title")}",
        "columnDefs": [
            {
                "key" : "status",
                "label" : "${message("page.reports.column.status.label")}",
                "sortable" : true
            },
            {
                "key" : "count",
                "label" : "${message("page.reports.column.count.label")}",
                "formatter" : "number",
                "parser" : "number",
                "sortable" : true
            }
        ]
    },
    "civilcontractorsdocumentlist" : {
        "dataUrl": "lyse/report/civilcontractorsdocumentlist/",
        "heading":  "${message("page.reports.civilcontractorsdocumentlist.title")}",
        "columnDefs": [
            {
                "key" : "status",
                "label" : "${message("page.reports.column.status.label")}",
                "sortable" : true
            },
            {
                "key" : "count",
                "label" : "${message("page.reports.column.count.label")}",
                "formatter" : "number",
                "parser" : "number",
                "sortable" : true
            }
        ]
    },
    "civil-contracts" : {
        "dataUrl": "lyse/report/civil-contracts/",
        "heading":  "${message("page.reports.civil-contracts.title")}",
        "columnDefs": [
            {
                "key" : "status",
                "label" : "${message("page.reports.column.status.label")}",
                "sortable" : true
            },
            {
                "key" : "count",
                "label" : "${message("page.reports.column.count.label")}",
                "formatter" : "number",
                "parser" : "number",
                "sortable" : true
            }
        ]
    },
    "companysdocumentlist" : {
        "dataUrl": "lyse/report/companysdocumentlist/",
        "heading":  "${message("page.reports.companysdocumentlist.title")}",
        "columnDefs": [
            {
                "key" : "status",
                "label" : "${message("page.reports.column.status.label")}",
                "sortable" : true
            },
            {
                "key" : "count",
                "label" : "${message("page.reports.column.count.label")}",
                "formatter" : "number",
                "parser" : "number",
                "sortable" : true
            }
        ]
    },
    "civil-vor" : {
        "dataUrl": "lyse/report/civil-vor/",
        "heading":  "${message("page.reports.vorandvo.title")}",
        "columnDefs": [
            {
                "key" : "status",
                "label" : "${message("page.reports.column.status.label")}",
                "sortable" : true
            },
            {
                "key" : "consequence_nok",
                "label" : "${message("page.reports.column.consequence_nok.label")}",
                "formatter" : Lyse.reports.formatters.cellValueFormatter("page.reports.datatable.vor.status.vo_vor.separator"),
                "parser" : "number",
                "sortable" : true
            },
            {
                "key" : "consequence_eur",
                "label" : "${message("page.reports.column.consequence_eur.label")}",
                "formatter" : Lyse.reports.formatters.cellValueFormatter("page.reports.datatable.vor.status.vo_vor.separator"),
                "parser" : "number",
                "sortable" : true
            },
            {
                "key" : "count",
                "label" : "${message("page.reports.column.count.label")}",
                "formatter" : "number",
                "parser" : "number",
                "sortable" : true
            }
        ]
    },
    "civil-vorsums" : {
        "dataUrl": "lyse/report/civil-vorsums/",
        "heading":  "${message("page.reports.vorandvosums.title")}",
        "columnDefs": [
            {
                "key" : "sumlabel",
                "label" : "${message("page.reports.column.sumlabel.label")}",
                "formatter" : Lyse.reports.formatters.cellValueFormatter("page.reports.datatable.vorandvosums.sumlabel"),
                "sortable" : true
            },
            {
                "key" : "consequence_nok",
                "label" : "${message("page.reports.column.consequence_nok.label")}",
                "formatter" : Lyse.reports.formatters.cellValueFormatter("page.reports.datatable.vor.status.vo_vor.separator"),
                "parser" : "number",
                "sortable" : true
            },
            {
                "key" : "consequence_eur",
                "label" : "${message("page.reports.column.consequence_eur.label")}",
                "formatter" : Lyse.reports.formatters.cellValueFormatter("page.reports.datatable.vor.status.vo_vor.separator"),
                "parser" : "number",
                "sortable" : true
            },
            {
                "key" : "count",
                "label" : "${message("page.reports.column.count.label")}",
                "formatter" : "number",
                "parser" : "number",
                "sortable" : true
            }
        ]
    },
    "civil-action" : {
        "dataUrl": "lyse/report/civil-action/",
        "heading":  "${message("page.reports.civil-action.title")}",
        "columnDefs": [
            {
                "key" : "status",
                "label" : "${message("page.reports.column.status.label")}",
                "sortable" : true
            },
            {
                "key" : "count",
                "label" : "${message("page.reports.column.count.label")}",
                "formatter" : "number",
                "parser" : "number",
                "sortable" : true
            }
        ]
    },
    "mcc-safe-work-permits" : {
        "dataUrl": "lyse/report/mcc-safe-work-permits/",
        "heading":  "${message("page.reports.mcc-safe-work-permits.title")}",
        "columnDefs": [
            {
                "key" : "status",
                "label" : "${message("page.reports.column.status.label")}",
                "sortable" : true
            },
            {
                "key" : "count",
                "label" : "${message("page.reports.column.count.label")}",
                "formatter" : "number",
                "parser" : "number",
                "sortable" : true
            }
        ]
    },
    "qalist" : {
      "dataUrl": "lyse/report/qaList/",
      "heading":  "${message("page.reports.qalist.title")}",
      "columnDefs": [
        {
          "key" : "status",
          "label" : "${message("page.reports.column.status.label")}",
          "sortable" : true
        },
        {
          "key" : "count",
          "label" : "${message("page.reports.column.count.label")}",
          "formatter" : "number",
          "parser" : "number",
          "sortable" : true
        }
      ]
    },
    "site-queries" : {
      "dataUrl": "lyse/report/siteQueries/",
      "heading":  "${message("page.reports.site-query.title")}",
      "columnDefs": [
        {
          "key" : "status",
          "label" : "${message("page.reports.column.status.label")}",
          "sortable" : true
        },
        {
          "key" : "count",
          "label" : "${message("page.reports.column.count.label")}",
          "formatter" : "number",
          "parser" : "number",
          "sortable" : true
        }
      ]
    },
    "civil-technical-queries" :{
      "dataUrl": "lyse/report/civil-technical-queries/",
      "heading":  "${message("page.reports.technical-queries.title")}",
      "columnDefs": [
        {
          "key" : "status",
          "label" : "${message("page.reports.column.status.label")}",
          "sortable" : true
        },
        {
          "key" : "count",
          "label" : "${message("page.reports.column.count.label")}",
          "formatter" : "number",
          "parser" : "number",
          "sortable" : true
        }
      ]
    },
    "civilactionlistmember":actionListMemberConf("lyse/report/civilactionlistmember/")
};

YAHOO.util.Event.onDOMReady(function(){
    var menuUl = document.getElementById("reportstypeslist");

    if(menuUl != null){
        for(var i = 0; i < menuUl.childNodes.length; i += 1){
            var li = menuUl.childNodes[i];
            if(li.tagName !== "LI"){
                continue;
            }

            displayReport = function(reportKey) {
                var conf = reportsConf[reportKey];

                if (conf) {
                    Lyse.reports.renderDataTable("reportscontainer", conf["columnDefs"], conf["dataUrl"] + Alfresco.constants.SITE);

                    // Set heading
                    var headingElement = document.getElementById("reportsheader");
                    headingElement.innerHTML = conf.heading;

                    // Set download button href
                    var downloadAsCSVLinkElement = document.getElementById("reportscsvlink");
                    downloadAsCSVLinkElement.href = Alfresco.constants.PROXY_URI + conf["dataUrl"] + Alfresco.constants.SITE + '.csv'
                    downloadAsCSVLinkElement.style.display = "block";
                }
                else {
                    Alfresco.util.PopupManager.displayMessage({
                        text : Alfresco.util.message("page.reports.error.general", null, reportKey)
                    });
                }
            };
            YAHOO.util.Event.addListener(li, "click", function(){
                var reportKey = this.getAttribute('data-report');
                displayReport(reportKey);
            });
        }
    }
    // Allows for bookmarking reports: if the URL contains #<report> it will display it immediately
    if (document.location.hash && document.location.hash.length > 1) {
        var reportKey = document.location.hash.substring(1);
        displayReport(reportKey);
    }


});

</script>

   	</div>
   </@>
</@>
