<#assign controlId=args.htmlid?html>

<@standalone>
    <@markup id="css" >
    </@>

    <@markup id="js">
        <#--<@script src="${url.context}/res/components/data-lists/version-history.js" group="forms"/>-->

        <script type="text/javascript">//<![CDATA[
            (function()
            {
                require([Alfresco.constants.URL_RESCONTEXT + 'components/data-lists/version-history.js'], function () {
                    new Lyse.component.VersionHistoryControl("${controlId?js_string}").setOptions(
                    {
                        nodeRef: '${args.nodeRef?js_string}',
                        onlyMajorVersions: ${args.onlyMajorVersions?js_string}
                    }).setMessages(
                        ${messages}
                        );
                    });
            })();
        //]]></script>

    </@>

    <@markup id="widgets">
        <@createWidgets group="forms"/>
    </@>

    <@markup id="html">

        <label for="${controlId?html}">${args.fieldLabel?html}:</label>

        <button id="${controlId?html}-show-hide-version-history">${msg("label.showVersionHistory")?html}</button>

        <div id="${controlId?html}">
            <div id="${controlId?html}-version-history" class="version-history" style="display: none">
                <div id="${controlId?html}-list" class="body scrollableList">
                    <div id="${controlId?html}-version-history-table"></div>
                </div>
            </div>
        </div>
    </@>
</@standalone>
