<#assign el=args.htmlid?html>
<div id="${el}-dialog" class="edit-site edit-project">
   <div class="hd">
      <#-- TITLE -->
      <@markup id="title">${msg("header.editSite")}</@markup>
   </div>
   <div class="bd">
      <form id="${el}-form" method="PUT"  action="">

      <#-- FIELDS -->
      <@markup id="fields">

         <#-- HIDDEN -->
         <input id="${el}-shortName" type="hidden" name="shortName" value="${profile.projectShortName}"/>

        
            <#-- TITLE -->
            <div class="yui-gd">
               <div class="yui-u first"><label for="${el}-title">${msg("lysep_lyseProjectModel.property.lysep_projectName.title")}:&nbsp;*</label></div>
               <div class="yui-u"><input id="${el}-title" type="text" name="title" value="${profile.projectName?html}" tabindex="0" maxlength="255" /><br />
               <span class="help">${msg("lysep_lyseProjectModel.property.lysep_projectName.description")}</span></div>
            </div>
         

         <#-- DESCRIPTION lysep:projectDescription-->
         <div class="yui-gd">
            <div class="yui-u first"><label for="${el}-description">${msg("lysep_lyseProjectModel.property.lysep_projectDescription.title")}:&nbsp;*</label></div>
            <div class="yui-u"><textarea id="${el}-description" name="description" rows="3" tabindex="0">${profile.projectDescription?html}</textarea><br />
            <span class="help">${msg("label.projectDescriptionHelp")}</span></div>
         </div>

      </@markup>

      <div class="bdft">
         <#-- BUTTONS -->
         <input type="submit" id="${el}-ok-button" value="${msg("button.ok")}" tabindex="0"/>
         <input type="button" id="${el}-cancel-button" value="${msg("button.cancel")}" tabindex="0"/>
      </div>
   </form>
   </div>
</div>

<script type="text/javascript">//<![CDATA[
Alfresco.util.addMessages(${messages}, "Alfresco.module.EditProject");
//]]></script>