<@markup id="css" >
<#-- CSS Dependencies -->
   <@link rel="stylesheet" type="text/css" href="${url.context}/res/components/dashlets/interface-documents.css" group="dashlets"/>
</@>

<@markup id="js">
<#-- JavaScript Dependencies -->
  <@script type="text/javascript" src="${url.context}/res/components/dashlets/interface-documents.js" group="dashlets"/>
</@>

<@markup id="widgets">
   <@createWidgets group="dashlets"/>
</@>
<@markup id="html">
   <@uniqueIdDiv>
   <#assign id = args.htmlid?html>
   <div class="dashlet">
      <#-- TITLE -->
      <@markup id="title">
         <div class="title">${msg("label.title")}</div>
      </@markup>
      <div class="toolbar flat-button">
        <div class="align-left">
          <div class="caption">${msg('caption.status_selector')}</div>
          <span class="first-child">
            <select name="review-status" id="${id}-review-status" multiple="multiple" size="6">
              <option>loading statuses...</option>
            </select>
          </span>
        </div>
        <div class="align-left">
          <div class="caption">${msg('caption.type_selector')}</div>
          <span class="first-child">
            <select name="document-type" id="${id}-document-type" multiple="multiple" size="6">
              <option>loading statuses...</option>
            </select>
          </span>
        </div>
        <div class="align-left">
              <div class="caption">${msg('caption.area_selector')}</div>
          <span class="first-child">
            <select name="area" id="${id}-area" multiple="multiple" size="6">
                <option>loading statuses...</option>
            </select>
          </span>
        </div>
        <div class="align-left">
              <div class="caption">${msg('caption.interface-reviewers_selector')}</div>
          <span class="first-child">
            <input name="interface-reviewers-astext" id="${id}-interface-reviewers-astext" type="text"  tabindex="0" />
          </span>
        </div>
        <div class="align-left">
              <div class="caption">${msg('caption.contract_site_selector')}</div>
          <span class="first-child">
            <input name="contract_site" id="${id}-contract_site" type="text"  tabindex="0" />
          </span>
        </div>
        <div>
          <span class="align-left yui-button yui-push-button search-icon">
            <span class="first-child">
              <input id="${id}-search-button" type="button" value="${msg("searchButton.text")}" />
            </span>
          </span>
          <span class="align-left yui-button yui-push-button">
            <span class="first-child">
              <input id="${id}-reset-button" type="button" value="${msg("resetButton.text")}" />
            </span>
          </span>
        </div>
        <div class="clear"></div>
      </div>
      <div class="body scrollableList datagrid" <#if args.height??>style="height: ${args.height?html}px;"</#if>>
        <div id="${id}-documents"></div>
      </div>
   </div>
   </@>
</@markup>
