//@overridden projects/remote-api/config/alfresco/templates/webscripts/org/alfresco/components/dashlets/colleagues.get.js
/* General structure of memberships
 * [
 {
 	"role": "SiteCollaborator",
 	"isMemberOfGroup": false,
 	"authority":
 	{
 		"authorityType": "USER",
 		"fullName": "admin",
 		"userName": "admin",
 		"firstName": "Administrator",
 		"lastName": "",
 		"url": "\/alfresco\/s\/api\/people\/admin"
 	},
 	"url": "\/alfresco\/s\/api\/sites\/contractor-site\/memberships\/admin"
 }
 	
 ]
 * */
function mapRoleToProjectSite(role)
{
	if ("SiteConsumer" == role) {
		role = "SiteCompanyReadOnly";
	} else if ("SiteContributor" == role) {
		role = "SiteCompany";
	} else if ("SiteCollaborator" == role) {
		role = "SiteCompanyRep";
	} /*else if ("SiteManager" == role) {
		role = "SiteContractorReadOnly";
	}*/
	return role;
}

/**
 * Override roles
 * Site Colleagues component GET method
 */
function main()
{
	var memberships = model.memberships;
	for (var i = 0; i < memberships.length; i++) {
		memberships[i].role = mapRoleToProjectSite(memberships[i].role);
	}
	model.memberships = memberships;
	
}

main();