<#-- @overridden projects/web-framework-commons/config/alfresco/site-webscripts/org/alfresco/components/form/controls/info.ftl -->
<#if field.value?is_number>
   <#assign displayValue=field.value?c />
<#elseif field.value?is_boolean>
   <#if field.value>
      <#assign displayValue=msg("form.control.checkbox.yes") />
   <#else>
      <#assign displayValue=msg("form.control.checkbox.no") />
   </#if>
<#else>
   <#if field.control.params.optionSeparator??>
      <#assign optionSeparator=field.control.params.optionSeparator>
   <#else>
      <#assign optionSeparator=",">
   </#if>
   <#if field.control.params.labelSeparator??>
      <#assign labelSeparator=field.control.params.labelSeparator>
   <#else>
      <#assign labelSeparator="|">
   </#if>

   <#assign fieldValue=field.value>

   <#if fieldValue?string == "" && field.control.params.defaultValueContextProperty??>
      <#if context.properties[field.control.params.defaultValueContextProperty]??>
         <#assign fieldValue = context.properties[field.control.params.defaultValueContextProperty]>
      <#elseif args[field.control.params.defaultValueContextProperty]??>
         <#assign fieldValue = args[field.control.params.defaultValueContextProperty]>
      </#if>
   </#if>

   <#if fieldValue == "">
      <#assign displayValue=msg("form.control.novalue") />
   <#else>
      <#if field.control.params.options?? && field.control.params.options != "" && field.control.params.options?index_of(labelSeparator) != -1>
         <#if fieldValue?string != "">
            <#assign values=fieldValue?split(",")>
         <#else>
            <#assign values=[]>
         </#if>

         <#assign displayValue="">
         <#assign firstLabel=true>

         <#list field.control.params.options?split(optionSeparator) as nameValue>
            <#assign choice=nameValue?split(labelSeparator)>

            <#if isSelected(choice[0])>
               <#if !firstLabel>
                  <#assign displayValue=displayValue+",">
               <#else>
                  <#assign firstLabel=false>
               </#if>
               <#assign displayValue=displayValue+choice[1]>
            </#if>
         </#list>
         <#if displayValue == "">
            <#-- Display the value if the label was not found -->
            <#assign displayValue=fieldValue />
         </#if>
      <#else>
         <#assign displayValue=fieldValue?string />
      </#if>
   </#if>
</#if>

<div class="form-field">
   <div class="viewmode-field">
      <span class="viewmode-label">${field.label?html}:</span>
      <span class="viewmode-value" data-dataType="${field.dataType}">${displayValue?html}</span>
   </div>
</div>

<#function isSelected optionValue>
   <#list values as value>
      <#if optionValue == value?string || (value?is_number && value?c == optionValue)>
         <#return true>
      </#if>
   </#list>
   <#return false>
</#function>
