<div class="form-field">
<#if form.mode == "view">
    <div class="viewmode-field">
       <#if field.mandatory && !(field.value?is_number) && field.value == "">
       <span class="incomplete-warning"><img src="${url.context}/res/components/form/images/warning-16.png" title="${msg("form.field.incomplete")}" /><span>
       </#if>
        <span class="viewmode-label">${field.label?html}:</span>
       <#if field.control.params.activateLinks?? && field.control.params.activateLinks == "true">
          <#assign fieldValue=field.value?html?replace("((http|ftp|https):\\/\\/[\\w\\-_]+(\\.[\\w\\-_]+)+([\\w\\-\\.,@?\\^=%&:\\/~\\+#]*[\\w\\-\\@?\\^=%&\\/~\\+#])?)", "<a href=\"$1\" target=\"_blank\">$1</a>", "r")>
       <#else>
          <#if field.value?is_number>
             <#assign fieldValue=field.value?c>
          <#else>
             <#assign fieldValue=field.value?html>
          </#if>
       </#if>
        <span class="viewmode-value"><#if fieldValue == "">${msg("form.control.novalue")}<#else>${fieldValue}</#if></span>
    </div>
<#else>
      <#--
           Text field control for use in data list filters. Should be renamed filter-textfield.ftl maybe
           to be more consistent.

           Modified version of textfield.ftl:
            - we change the input field ID so that the form component will not make the field mandatory
            - the "mandatory" marker is removed
            - the current value is not set (else any default value from the model would be set), it is not
              necessary since the current value is set after applying a filter from JS in extended-datagrid.js
        -->
      <label for="${fieldHtmlId}-not-mandatory">${field.label?html}:</label>
      <input id="${fieldHtmlId}-not-mandatory" name="${field.name}" tabindex="0"
             <#if field.control.params.password??>type="password"<#else>type="text"</#if>
             <#if field.control.params.styleClass??>class="${field.control.params.styleClass}"</#if>
             <#if field.control.params.style??>style="${field.control.params.style}"</#if>
             <#if field.description??>title="${field.description}"</#if>
             <#if field.control.params.maxLength??>maxlength="${field.control.params.maxLength}"<#else>maxlength="1024"</#if> 
             <#if field.control.params.size??>size="${field.control.params.size}"</#if> 
    <#if field.control.params.style??>style="${field.control.params.style}"</#if> />
   <@formLib.renderFieldHelp field=field />
</#if>
</div>
