<#assign controlId = fieldHtmlId + "-cntrl">

<div id="lyseUploadNewRevisionComponent" >
  <div class="form-field">
  
    <label>${field.label?html}:</label>
    
    <div class="form-element-border">
      <div id="${controlId}-table-container"></div>

      <#if form.mode == "view">
        <!-- Form in "view" mode and thus the button for adding attachment is NOT present. -->
      <#else>
        <div class="lyseButtonDiv">
          <button id="${controlId}-addBtn" type="button">${msg("lyse.control.revision.uploadNewRevisionButton")}</button>
        </div>
        <div class="lyseFileList" id="${controlId}-filelist">
        </div>
      </#if>
    </div>
  </div>

</div>

<script type="text/javascript">//<![CDATA[

  var newRevisionUpload = new Lyse.component.UploadNewRevision("${controlId}").setOptions(
  {
        updateNodeRef: "${field.value?string}"
  });
  
  YAHOO.util.Event.onDOMReady(function(){   
  	newRevisionUpload.onReady();  
  });
//]]></script>

