// @overridden projects/slingshot/source/web/components/documentlibrary/documentlist-view-table.js

(function(_onActionDeleteConfirm) {

  /*
   * Overridden in order process special case on deleting generic datalist item/s.
   */
  Alfresco.DocListToolbar.prototype._onActionDeleteConfirm = function LYSE_ON_ACTION_DELETE_CONFIRM(q) {
    console.log("Hello World");

    var V = [], R, U;
    for (R = 0,
           U = q.length; R < U; R++) {
      V.push(q[R].jsNode.nodeRef.nodeRef)
    }
    var T = function S(ac, X) {
      var W;
      var ab = 0;
      var Z = 0;
      if (!ac.json.overallSuccess) {
        Alfresco.util.PopupManager.displayMessage({
          text: this.msg("message.multiple-delete.failure")
        });
        return
      }
      this.modules.docList.totalRecords -= ac.json.totalResults;
      YAHOO.Bubbling.fire("filesDeleted");
      for (R = 0,
             U = ac.json.totalResults; R < U; R++) {
        W = ac.json.results[R];
        if (W.success) {
          if (W.type == "folder") {
            Z++
          } else {
            ab++
          }
          YAHOO.Bubbling.fire(W.type == "folder" ? "folderDeleted" : "fileDeleted", {
            multiple: true,
            nodeRef: W.nodeRef
          })
        }
      }
      var aa = Z + ab;
      if (Alfresco.util.isValueSet(this.options.siteId)) {
        var Y;
        if (aa > 0) {
          if (aa < this.options.groupActivitiesAt) {
            for (R = 0; R < aa; R++) {
              Y = {
                fileName: ac.json.results[R].id,
                nodeRef: ac.json.results[R].nodeRef,
                path: this.currentPath,
                parentNodeRef: this.doclistMetadata.parent.nodeRef
              };
              if (ac.json.results[R].type == "folder") {
                this.modules.actions.postActivity(this.options.siteId, "folder-deleted", "documentlibrary", Y)
              } else {
                this.modules.actions.postActivity(this.options.siteId, "file-deleted", "documentlibrary", Y)
              }
            }
          } else {
            if (ab > 0) {
              Y = {
                fileCount: ab,
                path: this.currentPath,
                parentNodeRef: this.doclistMetadata.parent.nodeRef
              };
              this.modules.actions.postActivity(this.options.siteId, "files-deleted", "documentlibrary", Y)
            }
            if (Z > 0) {
              Y = {
                fileCount: Z,
                path: this.currentPath,
                parentNodeRef: this.doclistMetadata.parent.nodeRef
              };
              this.modules.actions.postActivity(this.options.siteId, "folders-deleted", "documentlibrary", Y)
            }
          }
        }
      }


      var nodeRef = Alfresco.util.parseURL().queryParams.nodeRef;
      Alfresco.util.Ajax.jsonGet(
        {
          url: Alfresco.constants.PROXY_URI + "api/metadata?nodeRef=" + nodeRef,
          successCallback:
            {
              fn: function (response) {
                if (response.json !== undefined) {
                  if(response.json.type ==="{http://ns.lyse.no/model/datalist/1.0}genericDocumentList"){
                    Alfresco.util.PopupManager.displayMessage({
                      text: this.msg("message.multiple-delete.general.documents.success")
                    })
                  }
                  else {
                    Alfresco.util.PopupManager.displayMessage({
                      text: this.msg("message.multiple-delete.success", aa)
                    })
                  }
                }
              },
              scope: this
            }
        });
    };
    this.modules.actions.genericAction({
      success: {
        callback: {
          fn: T,
          scope: this,
          obj: q
        }
      },
      failure: {
        message: this.msg("message.multiple-delete.failure")
      },
      webscript: {
        method: Alfresco.util.Ajax.DELETE,
        name: "files"
      },
      wait: {
        message: this.msg("message.multiple-delete.please-wait")
      },
      config: {
        requestContentType: Alfresco.util.Ajax.JSON,
        dataObj: {
          nodeRefs: V
        }
      }
    })
  };
}(Alfresco.DocListToolbar.prototype._onActionDeleteConfirm));
