// @overridden projects/slingshot/source/web/components/people-finder/people-finder.js

/*
 * @auhtor erik.billerby@redpill-linpro.com
 */
(function (__buildSearchParams) {
    /**
     * This is a copy of the original one with one modification: instead of redirecting to the document library of the
     * repository, it now closes the window OR redirects to the user home.
     */
    Alfresco.PeopleFinder.prototype._buildSearchParams = function Lyse_PeopleFinder__buildSearchParams(searchTerm) {
    	var url = "sortBy=fullName&dir=asc&filter=" + encodeURIComponent(searchTerm) + "&maxResults=" + this.options.maxSearchResults +
        "&siteId=" + this.options.siteId + "&addNoneOption=" + this.options.addNoneOption + "&filterBaseGroup=" + this.options.filterBaseGroup;
    	if(location.pathname.indexOf("lyse-task-edit") !== -1)
      {
        url += "&filterObservers=true";
      }
    	return url;
    };
}(Alfresco.PeopleFinder.prototype._buildSearchParams));