// @overridden projects/slingshot/source/web/components/upload/html-upload.js
/**
 * Hides version div.
 * Fires upload complete event 
 */

(function(__applyConfig, __processUploadCompletion) {
    Alfresco.HtmlUpload.prototype._applyConfig = function Lyse_HtmlUpload__applyConfig() {
    	 var me = this;
        __applyConfig.call(this);
        Dom.addClass(this.versionSection, "hidden");
   };
   
   Alfresco.HtmlUpload.prototype._processUploadCompletion = function Lyse_HtmlUpload__processUploadCompletion(fileInfo){
   		var scope = this;  
   		__processUploadCompletion.call(scope, fileInfo);
   		if (fileInfo.request.status == "200")
   		{
   			   // inform generic-documents-form to clear revision dates
               YAHOO.Bubbling.fire("uploadNewRevisionCompleted");
   		}
   };
}(Alfresco.HtmlUpload.prototype._applyConfig, Alfresco.HtmlUpload.prototype._processUploadCompletion));