

    if (typeof Lyse == "undefined" || !Lyse) {
      var Lyse = {};
    }
    if (typeof Lyse.datalistDetailsExtensions == "undefined" || !Lyse.datalistDetailsExtensions) {
      Lyse.datalistDetailsExtensions = {};
    }
//#36212 share-information and share-commenting
(function()
{
    var msg = Alfresco.util.message;
    var getDataListNodeRef = function()
    {
       var workflowForm = Alfresco.util.ComponentManager.findFirst("Lyse.component.WorkflowForm");
       if(workflowForm && workflowForm.datalistNodeRef)
       {
          return workflowForm.datalistNodeRef;
       }
       else if(Dom.get("assoc_lysewf_relatedDatalistItem"))
       {
         return Dom.get("assoc_lysewf_relatedDatalistItem").value;
       }
       else
       {
          return Alfresco.util.parseURL().queryParams.nodeRef;
       }
    };
       var setTitle = function()
       {
           var queryParam = getDataListNodeRef();
           if(!queryParam)
           {
              return;
           }
           var nodeRef = new Alfresco.util.NodeRef(queryParam);
              Alfresco.util.Ajax.request(
              {
                 url: Alfresco.constants.PROXY_URI + "api/lyse/" + nodeRef.uri + "/datalist-item",
                 successCallback:
                 {
                    fn: function(response)
                    {
                       var siteName = response.json.siteTitle || response.json.shortName;
                       var datalistName = response.json.datalistTitle || response.json.datalistName;
                       document.getElementById("data-list-item-header").innerHTML = siteName + ": " + datalistName;
                    },
                    scope: this
                 },
                 failureMessage: "Could not load title"
              });
       };
       YAHOO.Bubbling.on("workflowFormReady",setTitle);
       YAHOO.util.Event.onDOMReady(setTitle);





       Lyse.datalistDetailsExtensions.onActionStartShareForInformationWorkflow =  function()
       {
               var doBeforeDialogShow = function(p_form, p_dialog)
               {
                  Alfresco.util.populateHTML(
                      [ p_dialog.id + "-dialogTitle", msg("actions.start-share-workflow.for-information") ],
                      [ p_dialog.id + "-form-submit-button", msg("actions.start-share-workflow.send") ]
                  );
               };
               var templateUrl = YAHOO.lang.substitute(Alfresco.constants.URL_SERVICECONTEXT + "components/form?itemKind={itemKind}&itemId={itemId}&destination={destination}&mode={mode}&submitType={submitType}&showCancelButton=true",
                   {
                      itemKind: "action",
                      itemId: "lyse.action.share-for-information",
                      mode: "create",
                      destination: getDataListNodeRef(),
                      submitType: "json"
                   });

               var dialog = new Alfresco.module.SimpleDialog(this.id + "-shareForInformation");
               dialog.setOptions(
                   {
                      templateUrl: templateUrl,
                      actionUrl: null,
                      destroyOnHide: true,
                      doBeforeDialogShow:
                      {
                         fn: doBeforeDialogShow,
                         scope: this
                      },
                      onSuccess:
                      {
                         fn: function(response)
                         {
                            Alfresco.util.PopupManager.displayPrompt(
                                {
                                   text: msg("actions.start-share-workflow.success")
                                });
                         },
                         scope: this
                      },
                      onFailure:
                      {
                         fn: function(response)
                         {
                            Alfresco.util.PopupManager.displayPrompt(
                                {
                                   text: msg("actions.start-share-workflow.error")
                                });
                         },
                         scope: this
                      },
                      width: "800px"
                   }).show();
       };
})();