<import resource="classpath:alfresco/site-webscripts/org/alfresco/components/workflow/workflow.lib.js">

var myConfig = new XML(config.script), filters = [], excludeFilters = [], dateFilters = [], orderByOptions = [], filterMap = {}, excludeFilterMap = {}, dateFilterMap = {}, orderByOptionsMap = {};

for each(var xmlFilter in myConfig..filter) {
  filters.push({
    type : xmlFilter.@type.toString(),
    parameters : xmlFilter.@parameters.toString()
  });
  filterMap[xmlFilter.@type.toString()] = xmlFilter.@parameters.toString();
}

for each(var xmlFilter in myConfig..excludeFilter) {
  excludeFilters.push({
    type : xmlFilter.@type.toString(),
    parameters : xmlFilter.@parameters.toString()
  });
  excludeFilterMap[xmlFilter.@type.toString()] = xmlFilter.@parameters.toString();
}

for each(var xmlOption in myConfig..orderByOption) {
	orderByOptions.push({
		type : xmlOption.@type.toString(),
		parameters : xmlOption.@parameters.toString()
	});
	orderByOptionsMap[xmlOption.@type.toString()] = xmlOption.@parameters.toString();
}

for each(var xmlFilter in myConfig..dateFilter) {
  dateFilters.push({
    type : xmlFilter.@type.toString(),
      parameters : xmlFilter.@parameters.toString()
  });
  dateFilterMap[xmlFilter.@type.toString()] = xmlFilter.@parameters.toString();
}
model.filters = filters;
model.excludeFilters = excludeFilters;
model.orderByOptions = orderByOptions;
model.dateFilters = dateFilters;
model.hiddenTaskTypes = getHiddenTaskTypes();
model.maxItems = getMaxItems();

function main() {
  var lyseTasks = {
    id : "LyseTasks",
    name : "Alfresco.dashlet.LyseTasks",
    options : {
      hiddenTaskTypes : model.hiddenTaskTypes,
      maxItems : parseInt(model.maxItems),
      filters : filterMap,
      excludeFilters : excludeFilterMap,
      orderByOptions : orderByOptionsMap,
      dateFilters : dateFilterMap,
      regionId : args['region-id']
    }
  };
  var dashletResizer = {
    id : "DashletResizer",
    name : "Alfresco.widget.DashletResizer",
    initArgs : ["\"" + args.htmlid + "\"", "\"" + instance.object.id + "\""],
    useMessages : false
  };
  var dashletTitleBarActions = {
    id : "DashletTitleBarActions",
    name : "Alfresco.widget.DashletTitleBarActions",
    useMessages : false,
    options : {
      actions : [{
        cssClass : "help",
        bubbleOnClick: {
          message : msg.get("dashlet.help")
        },
        tooltip : msg.get("dashlet.help.tooltip")
      }]
    }
  };
  model.widgets = [lyseTasks, dashletResizer, dashletTitleBarActions];
}

main();
