// @overridden projects/slingshot/config/alfresco/site-webscripts/org/alfresco/components/dashlets/site-links.get.js

function lyse_main()
{
   var site, theUrl, connector, result, links;
   
   site = page.url.templateArgs.site;
   
   theUrl = '/lyse/api/listlinks-dashlet/site/' + site;
   connector = remote.connect("alfresco");
   result = connector.get(theUrl);
   if (result.status == 200)
   {
      links = JSON.parse(result.response);
      model.newLinks = links;
      model.numLinks = links.length;
   }
   if (logger.isLoggingEnabled()){
   	  log.log("this is the json response: "+links);
   }
   
   // Widget instantiation metadata...
   var dashletResizer = {
      id : "DashletResizer", 
      name : "Alfresco.widget.DashletResizer",
      initArgs : ["\"" + args.htmlid + "\"","\"" + instance.object.id + "\""],
      useMessages: false
   };
   var dashletTitleBarActions = {
      id : "DashletTitleBarActions", 
      name : "Alfresco.widget.DashletTitleBarActions",
      useMessages : false,
      options : {
         actions: [
            {
               cssClass: "help",
               bubbleOnClick:
               {
                  message: msg.get("dashlet.help")
               },
               tooltip: msg.get("dashlet.help.tooltip")
            }
         ]
      }
   };
   model.widgets = [dashletResizer, dashletTitleBarActions];
}

lyse_main();