function main()
{
  // Get the root node from url
  var nodeRef = url.args["nodeRef"];
  var workflowId = url.args["workflowId"];
  var widget = null;
  model.showHeading = false;

  if(nodeRef == null && workflowId != null) {
    var workflowJson = remote.call("/api/lyse/noderef-from-workflowid/" + workflowId);
    if (workflowJson.status == 200) {
      nodeRef = eval('(' + workflowJson + ')').nodeRef;
    }
  }

  var nodeTypeJson = remote.call("/lyse/api/node-type?nodeRef=" + nodeRef);
  if (nodeTypeJson.status == 200 && eval('(' + nodeTypeJson + ')').nodeType === "lysedl:civilMeasuredQuantity") {
    widget  =   {
        id : "LyseMQVersionHistory",
        name : "Lyse.component.MQVersionHistory",
        options : {
          nodeRef: nodeRef
        }
    };
    model.showHeading = true;
  }
  model.widgets = [widget];
}

main();
