<import resource="classpath:/alfresco/templates/org/alfresco/import/alfresco-util.js">

//@overridden projects/slingshot/config/alfresco/site-webscripts/org/alfresco/components/document-details/document-versions.get.js

function main()
{
   AlfrescoUtil.param('nodeRef');
   AlfrescoUtil.param('site', null);
   AlfrescoUtil.param('container', 'documentLibrary');
   model.allowNewVersionUpload = false;
   model.isWorkingCopy = false;
   model.exist = false;
   var documentDetails = AlfrescoUtil.getNodeDetails(model.nodeRef, model.site);
   if (documentDetails)
   {
      var userPermissions = documentDetails.item.node.permissions.user;
      model.allowNewVersionUpload = (!hasRunningWorkflow(documentDetails) && !isLyseLocked(documentDetails) && !documentDetails.item.node.isLocked && documentDetails.item.node.permissions.user["Write"]) || false;
      model.isWorkingCopy = (documentDetails.item && documentDetails.item.workingCopy && documentDetails.item.workingCopy.isWorkingCopy) ? true : false;
      model.exist = true;
   }
   
   // Widget instantiation metadata...
   var documentVersions = {
      id : "DocumentVersions", 
      name : "Alfresco.DocumentVersions",
      options : {
         nodeRef : model.nodeRef,
         siteId : model.site,
         containerId : model.container,
         workingCopyVersion : model.workingCopyVersion,
         allowNewVersionUpload : model.allowNewVersionUpload
      }
   };
   
   model.widgets = [documentVersions];
}
function isLyseLocked(documentDetails)
{
   var aspects = documentDetails.item.node.aspects;
   for (var i = 0; i < aspects.length; i++)
   {
      if (aspects[i] == "lyse:locked")
      {
         return true;
      }
   }
   return false;
}


function hasRunningWorkflow(documentDetails){
	var nodeRef = documentDetails.item.node.nodeRef;
	var result = remote.call("/api/lyse/source-associated-datalistitem?nodeRef=" + nodeRef);
    
    if (result.status == 200)
    {
       obj = eval('(' + result + ')');
       if (obj && obj.data && obj.data.partOfWorkflow){
          return true;
       }
    }

	return false;
}
main();
