<import resource="classpath:/alfresco/site-webscripts/org/alfresco/components/documentlibrary/include/toolbar.lib.js">
<import resource="classpath:/alfresco/site-webscripts/org/alfresco/components/upload/uploadable.lib.js">
<import resource="classpath:/alfresco/site-webscripts/org/alfresco/components/documentlibrary/include/documentlist.lib.js">
//@overridden /share/share/src/main/resources/alfresco/site-webscripts/org/alfresco/components/documentlibrary/documentlist-v2.get.js

doclibCommon();
//This webscript will only show the attachment document library if the node contains lysedl:attachmentFolder
function widgets()
{
   // Get the root node from url
   var docLibNodeRef = null;
   if (url.args["docLib"] !== null)
   {
     docLibNodeRef = url.args["docLib"];
     rootNode = docLibNodeRef;
   } else {
     rootNode = "alfresco://user/home";
   }
   var useTitle = "true";
   var docLibConfig = config.scoped["DocumentLibrary"];
   if (docLibConfig != null)
   {
      var tmp = docLibConfig["use-title"];
      useTitle = tmp != null ? tmp : "true";
   }

   var docListToolbar = {
      id: "DocListToolbar",
      name: "Alfresco.RepositoryDocListToolbar",
      assignTo: "docListToolbar",
      options: {
         siteId: "",
         rootNode: rootNode,
         hideNavBar: Boolean(toolbar.preferences.hideNavBar),
         googleDocsEnabled: toolbar.googleDocsEnabled,
         repositoryBrowsing: toolbar.rootNode != null,
         useTitle: (useTitle == "true"),
         syncMode: null,
         createContentByTemplateEnabled: model.createContentByTemplateEnabled,
         createContentActions: model.createContent
      }
   };


   var documentList = {
      id : "DocumentList",
      name : "Alfresco.DocumentList",
      options : {
         syncMode : model.syncMode != null ? model.syncMode : "",
         siteId : "",
         containerId : "documentLibrary",
         rootNode : rootNode,
         pageSize : 20,
         usePagination : (args.pagination == "true"),
         sortAscending : (model.preferences.sortAscending != null ? model.preferences.sortAscending : true),
         sortField : model.preferences.sortField != null ? model.preferences.sortField : "cm:name",
         showFolders : (model.preferences.showFolders != null ? model.preferences.showFolders : true),
         simpleView : model.preferences.simpleView != null ? model.preferences.simpleView : "null",
         viewRenderers: model.viewRenderers,
         viewRendererName : model.preferences.viewRendererName != null ? model.preferences.viewRendererName : "detailed",
         viewRendererNames : model.viewRendererNames != null ? model.viewRendererNames : ["simple", "detailed", "gallery", "filmstrip"],
         highlightFile : page.url.args["file"] != null ? page.url.args["file"] : "",
         replicationUrlMapping : model.replicationUrlMapping != null ? model.replicationUrlMapping : "{}",
         repositoryBrowsing : model.rootNode != null,
         useTitle : (model.useTitle != null ? model.useTitle == "true" : true),
         userIsSiteManager : model.userIsSiteManager,
         associatedToolbar: { _alfValue: "docListToolbar", _alfType: "REFERENCE" },
         commonComponentStyle : model.commonComponentStyle,
         suppressComponent : model.suppressComponent,
         filmstripImageLazyLoading: model.filmstripImageLazyLoading == "true"
      }
   };
   if (model.repositoryUrl != null)
   {
      documentList.options.repositoryUrl = model.repositoryUrl;
   }

   model.showHeading = true;
   // Don't show the document library
   if(docLibNodeRef == null){
     docListToolbar = [];
     documentList = [];
     model.showHeading = false;
   } else {
     model.heading="Attachments";
     var nodeRef = url.args["nodeRef"];
     var workflowId = url.args["workflowId"];
     if(nodeRef == null && workflowId != null) {
       var workflowJson = remote.call("/api/lyse/noderef-from-workflowid/" + workflowId);
       if (workflowJson.status == 200) {
         nodeRef = eval('(' + workflowJson + ')').nodeRef;
         // Set header
         var result = remote.call("/api/metadata?nodeRef=" + nodeRef);
         if (result.status == 200){
           var res = JSON.parse(result);
           var type = res.type;
           if(type === "{http://ns.lyse.no/model/datalist/1.0}genericDocumentList"
              || type === "{http://ns.lyse.no/model/datalist/1.0}civilMeasuredQuantity") {
             model.heading="Related documents";
           }
         }
       }
     }

   }
   model.widgets = [docListToolbar, documentList];
}

widgets();
