<#assign controlId = fieldHtmlId + "-cntrl">
<#if context.properties.nodeRef??>
    <#assign nodeRef = context.properties.nodeRef>
<#elseif (form.mode == "edit" || form.mode == "view") && args.itemId??>
    <#assign nodeRef = args.itemId>
<#else>
    <#assign nodeRef = "">
</#if>

<#if !nodeRef?starts_with("version")>
<div class="form-field form-revision-component">

    <script type="text/javascript">//<![CDATA[
    (function()
    {
        YAHOO.util.Event.onContentReady('${controlId?js_string}', function() {
            Alfresco.util.loadWebscript(
                    {
                        url: Alfresco.constants.URL_SERVICECONTEXT + "/lyse/components/revision-history",
                        properties: {
                            nodeRef: '${nodeRef?js_string}',
                            revisionProperty: '${field.control.params.revisionProperty?js_string}',
                            fieldLabel: '${field.label?js_string}'
                        },
                        target: '${controlId?js_string}'
                    });
        });
    })();
    //]]></script>

    <div id="${controlId?html}"></div>

</div>
</#if>