<#assign controlId = fieldHtmlId + "-cntrl">
<#if context.properties.nodeRef??>
    <#assign nodeRef = context.properties.nodeRef>
<#elseif (form.mode == "edit" || form.mode == "view") && args.itemId??>
    <#assign nodeRef = args.itemId>
<#else>
    <#assign nodeRef = "">
</#if>
<#if field.control.params.onlyMajorVersions??><#assign onlyMajorVersions=field.control.params.onlyMajorVersions><#else><#assign onlyMajorVersions="false"></#if>

<#if nodeRef?starts_with("version")>
    <#-- When viewing an item from the version store use the original version history component -->
    <#include "/org/alfresco/components/form/controls/version.ftl">
<#else>
    <div class="form-field form-version-component">

        <script type="text/javascript">//<![CDATA[
        (function()
        {
            YAHOO.util.Event.onContentReady('${controlId?js_string}', function() {
                Alfresco.util.loadWebscript(
                        {
                            url: Alfresco.constants.URL_SERVICECONTEXT + "/lyse/components/version-history",
                            properties: {
                                nodeRef: '${nodeRef?js_string}',
                                onlyMajorVersions: ${onlyMajorVersions?js_string},
                                fieldLabel: '${field.label?js_string}'
                            },
                            target: '${controlId?js_string}'
                        });
            });
        })();
        //]]></script>

        <div id="${controlId?html}"></div>

    </div>
</#if>
