<#assign el=args.htmlid?html>
<div id="${el}-dialog" class="create-site create-datalist">
   <div class="hd">
      <@markup id="title">${msg("header.createDatalist")}</@markup>
   </div>
   <div class="bd">
      <form id="${el}-form" method="POST" action="">

         <#-- FIELDS -->
         <@markup id="fields">

            <#-- List type -->
            <div class="yui-gd">
               <div class="yui-u first"><label for="${el}-datalistType">${msg("datalistType.title")}:&nbsp;*</label></div>
               <div class="yui-u">
                  <select id="${el}-datalistType" name="datalistType" tabindex="0">
                     <#list datalistTypes as datalistType>
                        <option value="${datalistType.id}">${datalistType.name}</option>
                     </#list>
                  </select><br>
               </div>
            </div>


            <#-- TITLE -->
            <div class="yui-gd">
               <div class="yui-u first"><label for="${el}-title">${msg("msg.title")}:&nbsp;*</label></div>
               <div class="yui-u"><input id="${el}-title" type="text" name="title" tabindex="0" maxlength="255" autocomplete="off" /><br /></div>
            </div>


            <#-- DESCRIPTION -->
            <div class="yui-gd">
               <div class="yui-u first"><label for="${el}-description">${msg("msg.description")}:&nbsp;</label></div>
               <div class="yui-u"><textarea id="${el}-description" name="description" rows="10" placeholder="(Write a description of how to use this datalist.)" tabindex="0"></textarea><br /></div>
            </div>
            <input id="${el}-datalistContainer" type="hidden" name="datalistContainer"  />
         </@markup>

         <div class="bdft">
            <#-- BUTTONS -->
            <input type="submit" id="${el}-ok-button" value="${msg("button.ok")}" tabindex="0"/>
            <input type="button" id="${el}-cancel-button" value="${msg("button.cancel")}" tabindex="1"/>
         </div>
      </form>
   </div>
</div>

<script type="text/javascript">//<![CDATA[
Alfresco.util.addMessages(${messages}, "Alfresco.module.CreateDatalist");
//]]></script>
