<#assign el=args.htmlid?html>
<div id="${el}-dialog" class="create-site create-contractor">
   <div class="hd">
      <@markup id="title">${msg("header.createSite")}</@markup>
   </div>
   <div class="bd">
      <form id="${el}-form" method="POST" action="">

         <#-- FIELDS -->
         <@markup id="fields">

            <input type="hidden" id="${el}-visibility" name="visibility" value="MODERATED"/>

            <#-- TITLE -->
            <div class="yui-gd">
               <div class="yui-u first"><label for="${el}-title">${msg("lysep_lyseProjectModel.property.lysep_projectName.title")}:&nbsp;*</label></div>
               <div class="yui-u"><input id="${el}-title" type="text" name="title" tabindex="0" maxlength="255" autocomplete="off" /><br />
               <span class="help">${msg("lysep_lyseProjectModel.property.lysep_projectName.description")}</span></div>
            </div>

            <#-- SHORTNAME -->
            <div class="yui-gd">
               <div class="yui-u first"><label for="${el}-shortName">${msg("label.shortName")}:&nbsp;*</label></div>
               <div class="yui-u">
                  <input id="${el}-shortName" type="text" name="shortName" tabindex="0" maxlength="255" /><br>
                  <span class="help">${msg("label.shortNameHelp")}</span>
               </div>
            </div>

            <#-- DESCRIPTION lysep:projectDescription-->
            <div class="yui-gd">
               <div class="yui-u first"><label for="${el}-description">${msg("lysep_lyseProjectModel.property.lysep_projectDescription.title")}:</label></div>
               <div class="yui-u"><textarea id="${el}-description" name="description" rows="3" tabindex="0"></textarea><br />
               <span class="help">${msg("label.projectDescriptionHelp")}</span></div>
            </div>

            <input type="hidden" id="${el}-sitePreset" name="sitePreset" value="${sitePresets[0].id}" />
                  <select id="${el}-projectLevel" name="projectLevel" tabindex="0" style="display: none;">
                      <option value="project" style="display: none;" selected>project</option>
                  </select>
            
            
            <#assign fieldHtmlId = el + "-subProject">
            
            <input id="${fieldHtmlId}" type="hidden" name="subProject"  /> 
           

            <#-- TYPE -->
            <input id="${el}-type" type="hidden" tabindex="0" name="type"/>          
            
         </@markup>

         <div class="bdft">
            <#-- BUTTONS -->
            <input type="submit" id="${el}-ok-button" value="${msg("button.ok")}" tabindex="0"/>
            <input type="button" id="${el}-cancel-button" value="${msg("button.cancel")}" tabindex="0"/>
         </div>
      </form>
   </div>
</div>

<script type="text/javascript">//<![CDATA[
Alfresco.util.addMessages(${messages}, "Alfresco.module.CreateEPCEng");
//]]></script>