<import resource="classpath:/alfresco/site-webscripts/org/alfresco/share/imports/share-header.lib.js">
//@overridden projects/slingshot/config/alfresco/site-webscripts/org/alfresco/share/header/share-header.get.js
var siteConfigMenu = widgetUtils.findObject(model.jsonModel, "id", "HEADER_SITE_CONFIGURATION_DROPDOWN");
if (siteData == null) {
	var siteData = getSiteData();
}

/*From https://github.com/loftuxab/share-community-loftux/issues/6
Hide Alfresco is runnning without Share Services*/
var shareServicesWarning = widgetUtils.findObject(model.jsonModel, "id", "HEADER_SHARE_SERVICES_WARNING");
if (shareServicesWarning != null) {
  shareServicesWarning.config.shareServices = {
    nocheck:true
  };
}
// Add a "User manual" and "Update information" links to the popup menu
var userMenu = widgetUtils.findObject(model.jsonModel, "id", "HEADER_USER_MENU");
// Remove the "Customise user dashboard" icon from the toolbar
if (page.titleId == "page.userDashboard.title" && !user.isAdmin) {
  widgetUtils.deleteObjectFromArray(model.jsonModel, "id", "HEADER_CUSTOMIZE_USER_DASHBOARD");
}

widgetUtils.deleteObjectFromArray(model.jsonModel, "id", "HEADER_USER_MENU_HELP");
widgetUtils.deleteObjectFromArray(model.jsonModel, "id", "HEADER_LEAVE_SITE");
widgetUtils.deleteObjectFromArray(model.jsonModel, "id", "HEADER_USER_MENU_SET_CURRENT_PAGE_AS_HOME");
widgetUtils.deleteObjectFromArray(model.jsonModel, "id", "HEADER_USER_MENU_SET_DASHBOARD_AS_HOME");
if (!user.isAdmin) {
	widgetUtils.deleteObjectFromArray(model.jsonModel, "id", "HEADER_CUSTOMIZE_SITE");
	widgetUtils.deleteObjectFromArray(model.jsonModel, "id", "HEADER_CUSTOMIZE_SITE_DASHBOARD");
}


var folderHelpJsonRequest = remote.call("/repository-helper-folder");
if(folderHelpJsonRequest.status == 200){
  var folderHelpJsonObject = JSON.parse(folderHelpJsonRequest);
  var folderHelpLinks = folderHelpJsonObject["helpSubFoldersLinks"];
  var helpSubFolders = folderHelpJsonObject["helpSubFolders"];
  var menuUserBar = widgetUtils.findObject(model.jsonModel, "id", "HEADER_USER_MENU_BAR");
  var menuWidgetList = menuUserBar.config.widgets;
  var menuHelp = {
    id: "SHARE_HEADER_LYSE_HELP_REPOSITORY",
    name: "alfresco/header/AlfMenuBarPopup",
    align: "right",
    config: {
      id: "SHARE_HEADER_LYSE_HELP_REPOSITORY",
      name: "alfresco/menus/AlfMenuGroup",
      label: folderHelpJsonObject["helpFolder"],
      widgets: [
        {
          name: "alfresco/menus/AlfMenuGroup",
          config:
            {
              widgets : []
            }
        }
      ]
    }
  };

  for(var i=0; i < helpSubFolders.length;i++){
    if(!folderHelpLinks){
      continue; // Ignore, go to next.
    }
    var subFolderLabel = helpSubFolders[i];
    var subFolderLink = folderHelpLinks[0][subFolderLabel];
    if(!subFolderLink){
      continue; // Ignore, go to next.
    }
    var subFolderObject = {
      name: "alfresco/header/AlfMenuItem",
      id: "HEADER_USER_MENU_LYSE_SUB_HELP",
      config :{
        label: subFolderLabel,
        iconClass: "alf-user-status-icon",
        targetUrl: "repository?folderTreeHidden=true&navigationBarStatus=true&navigationHideSelectItems=true&navigationHideOptionSelect=true#filter=" + encodeURIComponent(subFolderLink)
      }
    };
    menuHelp.config.widgets[0].config.widgets.push(subFolderObject);
  }
    var folderCustomerServiceItem = {
      name: "alfresco/header/AlfMenuItem",
      id: "HEADER_USER_MENU_LYSE_SUB_HELP",
      config :{
        label: "help.customer.service.title",
        iconClass: "alf-user-status-icon",
        targetUrl: "hdp/ws/customer-service"
      }
    };
    menuHelp.config.widgets[0].config.widgets.push(folderCustomerServiceItem);

  for(var k=0; k < menuWidgetList.length;k++){
      if(menuWidgetList[k].id === "HEADER_USER_MENU_POPUP") {
          if(k > 0){
            menuWidgetList.splice(k-1,0,menuHelp);
          }
          else{
            menuWidgetList.splice(0,0,menuHelp);
          }
          break;
      }
  }
}

if(url.getUri() == "/share/page/hdp/ws/customer-service"){
  var userTitle = widgetUtils.findObject(model.jsonModel, "id", "HEADER_TITLE");
  userTitle.config.label = "Unosys Customer Service";
}

// Add a "User manual" and "Update information" links to the popup menu
var userMenu = widgetUtils.findObject(model.jsonModel, "id", "HEADER_USER_MENU");
if (userMenu != null)
{
  // Find and add User manual
  var helpItem = null;
  var helpJson = remote.call("/lyse/documentation/User%20manual");
  if (helpJson.status == 200) {
    try {
      helpItem = JSON.parse(helpJson);
    } catch (err) {
      // Could not parse!
      logger.warn(err);
    }
  }
  if (helpItem != null && helpItem.nodeRef) {
    var lyseHelp = {
      id: "HEADER_USER_MENU_LYSE_HELP",
      name: "alfresco/header/AlfMenuItem",
      config: {
        id: "HEADER_USER_MENU_LYSE_HELP",
        label: "User Manual",
        iconClass: "alf-user-help-icon",
        targetUrl: "document-details?nodeRef=" + helpItem.nodeRef,
        targetUrlLocation: "NEW"
      }
    };
    // Place the menu item above the last item (Logout)
    userMenu.config.widgets.splice(-1, 0, lyseHelp);
  }

  // Find and add Update information
  var updateItem = null;
  var updateJson = remote.call("/lyse/documentation/Update%20information");
  if (updateJson.status == 200) {
    try {
      updateItem = JSON.parse(updateJson);
    } catch (err) {
      // Could not parse!
      logger.warn(err);
    }
  }
  if (updateItem != null && updateItem.nodeRef) {
    var lyseUpdate = {
      id: "HEADER_USER_MENU_LYSE_UPDATE",
      name: "alfresco/header/AlfMenuItem",
      config: {
        id: "HEADER_USER_MENU_LYSE_UPDATE",
        label: "Update information",
        iconClass: "alf-user-help-icon",
        targetUrl: "document-details?nodeRef=" + updateItem.nodeRef,
        targetUrlLocation: "NEW"
      }
    };
    // Place the menu item above the last item (Logout)
    userMenu.config.widgets.splice(-1, 0, lyseUpdate);
  }
}

  // Remove My Files
  if (!user.isAdmin) {
	  widgetUtils.deleteObjectFromArray(model.jsonModel, "id", "HEADER_MY_FILES");
  }
  // Remove Tasks
  if (!user.isAdmin) {
	  widgetUtils.deleteObjectFromArray(model.jsonModel, "id", "HEADER_TASKS");
  }

  // Remove shared files
  if (!user.isAdmin) {
	  widgetUtils.deleteObjectFromArray(model.jsonModel, "id", "HEADER_SHARED_FILES");
  }

  // Remove people
  if (!user.isAdmin) {
	  widgetUtils.deleteObjectFromArray(model.jsonModel, "id", "HEADER_PEOPLE");
  }

  // Rename Home to My Home
  var homeMenu = widgetUtils.findObject(model.jsonModel, "id", "HEADER_HOME");
  if (homeMenu != null)
  {
	  homeMenu.config.label = "header.menu.my-home.label";
  }

  if(siteData != null && !siteData.userIsSiteManager && !user.isAdmin)
  {
	  // Remove the configuration wheel
	  widgetUtils.deleteObjectFromArray(model.jsonModel, "id", "HEADER_SITE_CONFIGURATION_DROPDOWN");
  }

  if(siteData != null && siteData.userIsSiteManager)
  {
	  // Add link to manage project groups for the site-manager
	  var manageSiteCategoriesWidget = [{
	    id: "HEADER_MANAGE_SITE_CATEGORIES",
	    name: "alfresco/menus/AlfMenuItem",
	    config: {
	       id: "HEADER_MANAGE_SITE_CATEGORIES",
	       label: "manage_sitecategories.label",
	       iconClass: "alf-edit-icon",
	       targetUrl: "site/" + page.url.templateArgs.site + "/manage-site-categories"
	    }
	  }];

	  var manageSiteDatalists = [{
	    id: "HEADER_MANAGE_SITE_DATALISTS",
	    name: "alfresco/menus/AlfMenuItem",
	    config: {
	       id: "HEADER_MANAGE_SITE_DATALISTS",
	       label: "manage_sitedatalists.label",
	       iconClass: "alf-edit-icon",
	       targetUrl: "site/" + page.url.templateArgs.site + "/manage-site-datalists"
	    }
	  }];

	  var administrateProjectWidget = [{
	    id : "HEADER_ADMINISTRATE_PROJECT",
	    name : "alfresco/menus/AlfMenuItem",
	    config : {
	      id : "HEADER_ADMINISTRATE_PROJECT",
	      label : "manage_administrateproject.label",
	      iconClass : "alf-edit-icon",
	      publishTopic : "LYSE_ADMIN_PROJECT",
	      publishPayload : {
	        site : page.url.templateArgs.site,
	        siteTitle : model.siteData.profile.title
	      }
	    }
	  }];

	  siteConfigMenu.config.widgets=manageSiteCategoriesWidget.concat(siteConfigMenu.config.widgets);
	  siteConfigMenu.config.widgets=manageSiteDatalists.concat(siteConfigMenu.config.widgets);

	  // Add if its a project site
	  if(model.siteData.profile.sitePreset == "lyse-project") {
		  siteConfigMenu.config.widgets=administrateProjectWidget.concat(siteConfigMenu.config.widgets);
	  }
  }

/**
 * Add a create project widget in the sites menu
 */
var sitesMenu = widgetUtils.findObject(model.jsonModel, "id", "HEADER_SITES_MENU");

if (sitesMenu != null)
{
	if(null == model.siteData) {
		// Change the widget to our custom menu...
		  sitesMenu.name = "lyse/LyseSitesMenu";
	}
	// Change the widget to our custom menu...
	else if(model.siteData.profile.sitePreset == "lyse-project") {
		// Change the widget to our custom menu...
		sitesMenu.name = "lyse/LyseProjectSitesMenu";

		// Also delete the site invite option for project sites
		widgetUtils.deleteObjectFromArray(model.jsonModel, "id", "HEADER_SITE_INVITE");

	} else if (model.siteData.profile.sitePreset != "lyse-project") {
		// Change the widget to our custom menu...
		  sitesMenu.name = "lyse/LyseContractorSitesMenu";
	}
}



// Project specific stuff
// Rename site home to project home
var siteLinksWidget = widgetUtils.findObject(model.jsonModel, "id", "HEADER_NAVIGATION_MENU_BAR");
if(model.siteData != null){
	if(model.siteData.profile.sitePreset == "lyse-project") {
		var siteHomeLink = widgetUtils.findObject(model.jsonModel, "id", "HEADER_SITE_DASHBOARD");
		if(siteHomeLink != null) {
			  siteHomeLink.config.label = "page.projectDashboard.title";
		}

		// Remove site members from project sites.
		widgetUtils.deleteObjectFromArray(siteLinksWidget.config.widgets, "id", "HEADER_SITE_MEMBERS");
	}
}

// Add project link to all sites
if(model.jsonModel != null){
	var siteAssocProject = remote.call("/lyse/get/projectfromsite/" + page.url.templateArgs.site);
	if (siteAssocProject.status == 200) {
	  try {
	    siteAssocProject = JSON.parse(siteAssocProject);

		// Add project home to all sites.
	    if (siteAssocProject != null && siteAssocProject.shortName) {
	    	 var projectHomeLinkWidget = [{
	         id: "HEADER_SITE_ASSOC_PROJECT",
	         name: "alfresco/menus/AlfMenuBarItem",
	         config: {
	            id: "HEADER_SITE_ASSOC_PROJECT",
	            label: msg.get("page.projectDashboard.title"),
	            targetUrl: "site/" + siteAssocProject.shortName + "/dashboard",
	            selected: false
	         }
	      }];
	  	  siteLinksWidget.config.widgets=projectHomeLinkWidget.concat(siteLinksWidget.config.widgets);
	    }
	  } catch (err) {
	    // Could not parse!
	    logger.warn(err);
	  }
	}
}


if(model.siteData != null){
	if(model.siteData.profile.sitePreset == "lyse-project") {
		var siteHomeLink = widgetUtils.findObject(model.jsonModel, "id", "HEADER_SITE_DASHBOARD");
		if(siteHomeLink != null) {
			  siteHomeLink.config.label = "page.projectDashboard.title";
		}
	}
}


var siteHeaderBar = widgetUtils.findObject(model.jsonModel, "id", "HEADER_TITLE_BAR");
if(siteHeaderBar != null) {


	if(model.siteData != null) {

		var template = '<div><img src="'+url.context+'/res/components/images/padlock_project.png" alt=""><h1 class="alfresco-header-Title"><span class="alfresco-header-Title__text" data-dojo-attach-point="textNode"></span></h1></div>';

		var lockedWidget =
        {
           id: "HEADER_PROJECT_LOCKED",
           name: "alfresco/header/Title",
           align: "left",
           config: {
              label: "LOCKED",
              maxWidth: "500px",
              templateString: template
           },
           className: "lyse-locked-project"
        };

		  var projectdata = remote.call("/api/lyse/get/project/phases/" + page.url.templateArgs.site);
		  var isLocked = false;
		  if (projectdata.status == 200) {
		    try {
		      isLocked = JSON.parse(projectdata).locked;
		    } catch (err) {
		      // Could not parse!
		      logger.warn(err);
		    }
		  }
		if(isLocked == true){
      // Locked sites should not have edit-categories nor edit-datalists.
      if (siteConfigMenu) {
        widgetUtils.deleteObjectFromArray(siteConfigMenu.config.widgets, "id", "HEADER_MANAGE_SITE_DATALISTS");
        widgetUtils.deleteObjectFromArray(siteConfigMenu.config.widgets, "id", "HEADER_MANAGE_SITE_CATEGORIES");
      }
      siteHeaderBar.config.widgets.push(lockedWidget);
	  }

    // Remove site visibility label (https://redmine.redpill-linpro.com/issues/48497)
	  widgetUtils.deleteObjectFromArray(siteHeaderBar.config.widgets, "id", "HEADER_TITLE_VISIBILITY");

	  // Also remove the delete site menu option
    if (siteConfigMenu) {
      widgetUtils.deleteObjectFromArray(siteConfigMenu.config.widgets, "id", "HEADER_DELETE_SITE");
    }
	}
}


/**
 * Bootstrap the project service
 */
model.jsonModel.services.push("lyse/ProjectService");

/**
 Hide the create site button for non admins
 https://forums.alfresco.com/forum/end-user-discussions/alfresco-share/make-options-header-admin-only-alfresco-42d-09022013-1746
 https://issues.alfresco.com/jira/browse/ALF-19911
**/
//var sitesMenu = widgetUtils.findObject(model.jsonModel.widgets, "id", "HEADER_SITES_MENU");
if (sitesMenu != null)
{
   sitesMenu.config.showCreateSite = user.isAdmin; //Disable only if admin
}


/**
 *	Override user status dialog...
 */
var homeStatus = widgetUtils.findObject(model.jsonModel, "id", "HEADER_USER_STATUS");
if (homeStatus != null)
{
	  homeStatus.name = "lyse/LyseCurrentUserStatus";
	  homeStatus.config.userStatus = "Availability";
}

if(siteConfigMenu != null && (model.siteData.profile.sitePreset == "lyse-project" || model.siteData.profile.sitePreset == "contractor-project")) // TODO more Lyse site types??
{
  var publishTopic = (model.siteData.profile.sitePreset == "lyse-project") ? "LYSE_EDIT_PROJECT" : "LYSE_EDIT_CONTRACTOR";

  // Label should be "Edit Site Details" according to #43565
  //var label = (model.siteData.profile.sitePreset == "lyse-project") ? "edit_project_details.label" : "edit_contractor_details.label";
  var label = "edit_site_details.label";

  // Replace edit site with lyse edit project
  var editProjectWidget = {
    id : "HEADER_EDIT_SITE_DETAILS",
    name : "alfresco/menus/AlfMenuItem",
    config : {
      id : "HEADER_EDIT_SITE_DETAILS",
      label : label,
      iconClass : "alf-edit-icon",
      publishTopic : publishTopic,
      publishPayload : {
        site : page.url.templateArgs.site,
        siteTitle : model.siteData.profile.title,
        user : user.name,
        userFullName : user.fullName
      }
    }
  };
  // Find edit site entry and replace it. (widgetUtils.findObject doesn't seem
  // to work as object to replace.)
  for (var i = 0; i < siteConfigMenu.config.widgets.length; i++) {
    if (siteConfigMenu.config.widgets[i].id == "HEADER_EDIT_SITE_DETAILS") {
      siteConfigMenu.config.widgets[i] = editProjectWidget;
    }
  }

  // Get project id
  var projectInformation = null;
  var jsonProject = remote.call("/lyse/project/information?shortname=" + page.url.templateArgs.site);
  if (jsonProject.status == 200) {
    // Create javascript object from the repo response
    var obj = null;
    try {
      obj = JSON.parse(jsonProject);
    } catch (err) {
      // Could not parse!
    }
    projectInformation = obj;
  }

  var verticalLayoutSiteWidget = widgetUtils.findObject(model.jsonModel, "id", "SHARE_VERTICAL_LAYOUT");
  var headerTitleBar = widgetUtils.findObject(verticalLayoutSiteWidget.config.widgets, "id", "HEADER_TITLE_BAR");
  var headerTitle = widgetUtils.findObject(headerTitleBar.config.widgets, "id", "HEADER_TITLE");
  if (typeof projectInformation != undefined && projectInformation != null && projectInformation.projectNumber.length) {
    headerTitle.config.label = headerTitle.config.label + " - " + projectInformation.projectNumber;
  }
}
