<@uniqueIdDiv>
   <@markup id="html">
   <#assign id=args.htmlid?html>
   		<div class="filter">
   			<h2>${message("page.reports.reportstypes.menu.title")}</h2>
            <ul id="reportstypeslist" class="filterLink">
                <#if sitePreset == "contractor-project">
                    <li data-report="actionlist"><a href="#actionlist">${message("page.reports.actionlist.title")}</a></li>
                    <li data-report="generic-documents"><a href="#rui">${message("page.reports.generic-documents.title")}</a></li>
                    <li data-report="generic-actions"><a href="#generic-actions">${message("page.reports.generic-actions.title")}</a></li>
                    <li data-report="actionlistmember"><a href="#actionlistmember">${message("page.reports.actionlistpermember.title")}</a></li>
                    <li data-report="contractorsdocumentlist"><a href="#contractorsdocumentlist">${message("page.reports.contractorsdocumentlist.title")}</a></li>
                    <#--
                    <li data-report="companysdocumentlist"><a href="#companysdocumentlist">${message("page.reports.companysdocumentlist.title")}</a></li>
                    -->
                    <li data-report="correspondence"><a href="#correspondence">${message("page.reports.correspondence.title")}</a></li>
                    <li data-report="milestone"><a href="#milestone">${message("page.reports.milestone.title")}</a></li>
                    <li data-report="ncr"><a href="#ncr">${message("page.reports.ncr.title")}</a></li>
                    <li data-report="punchlist"><a href="#punchlist">${message("page.reports.punchlist.title")}</a></li>
                    <li data-report="qalist"><a href="#qalist">${message("page.reports.qalist.title")}</a></li>
                    <li data-report="site-query"><a href="#qalist">${message("page.reports.site-query.title")}</a></li>
                    <li data-report="vor"><a href="#vor">${message("page.reports.vorandvo.title")}</a></li>
                    <#if name == "tonstad-vindpark-main-study" || name == "bjerkreim-opstad-internal" || name = "mbtest---c13---ropes" >
                      <li data-report="action-with-project"><a href="#action-with-project">${message("page.reports.action-with-project.title")}</a></li>
                    </#if>
                <#elseif sitePreset == "interface-site">
                    <li data-report="interfaceactionlist"><a href="#interfaceactionlist">${message("page.reports.actionlist.title")}</a></li>
                    <li data-report="interfaceactionlistmember"><a href="#interfaceactionlistmember">${message("page.reports.actionlistpermember.title")}</a></li>
                    <li data-report="epb"><a href="#epb">${message("page.reports.epb.title")}</a></li>
                    <li data-report="ias"><a href="#ias">${message("page.reports.ias.title")}</a></li>
                    <li data-report="irl"><a href="#irl">${message("page.reports.irl.title")}</a></li>
                <#elseif sitePreset == "ps-site">
                  <li data-report="generic-documents"><a href="#generic-docs">${message("page.reports.generic-documents.title")}</a></li>
                  <li data-report="generic-actions"><a href="#generic-actions">${message("page.reports.generic-actions.title")}</a></li>
                <#elseif sitePreset == "hse-site">
                	<li data-report="hse-action"><a href="#hse-action">${message("page.reports.hse-action.title")}</a></li>
                    <li data-report="rrm"><a href="#rrm">${message("page.reports.rrm.title")}</a></li>
                    <li data-report="sja"><a href="#sja">${message("page.reports.sja.title")}</a></li>
                    <li data-report="rui"><a href="#rui">${message("page.reports.rui.title")}</a></li>
                <#elseif sitePreset == "mcc-site">
                	<li data-report="mcc-action"><a href="#mcc-action">${message("page.reports.mcc-action.title")}</a></li>
                	<li data-report="mcc-packages"><a href="#mcc-packages">${message("page.reports.mcc-packages.title")}</a></li>
                	<li data-report="mcc-commissioning-packages"><a href="#mcc-commissioning-packages">${message("page.reports.mcc-commissioning-packages.title")}</a></li>
                	<li data-report="mcc-signals-test-status-local"><a href="#mcc-signals-test-status-local">${message("page.reports.mcc-signals-test-status-local.title")}</a></li>
                	<li data-report="mcc-signals-test-status-remote"><a href="#mcc-signals-test-status-remote">${message("page.reports.mcc-signals-test-status-remote.title")}</a></li>
                	<li data-report="mcc-cables-test-status"><a href="#mcc-cables-test-status">${message("page.reports.mcc-cables-test-status.title")}</a></li>
                	<li data-report="mcc-safe-work-permits"><a href="#mcc-safe-work-permits">${message("page.reports.mcc-safe-work-permits.title")}</a></li>
                <#elseif sitePreset == "civil-site">
                    <li data-report="civil-action"><a href="#civil-action">${message("page.reports.civil-action.title")}</a></li>
                    <li data-report="civilactionlistmember"><a href="#civilactionlistmember">${message("page.reports.civilactionlistmember.title")}</a></li>
                    <li data-report="civilcontractorsdocumentlist"><a href="#civilcontractorsdocumentlist">${message("page.reports.civilcontractorsdocumentlist.title")}</a></li>
                    <li data-report="civil-contracts"><a href="#civil-contracts">${message("page.reports.civil-contracts.title")}</a></li>
    		            <li data-report="civil-correspondence"><a href="#civil-correspondence">${message("page.reports.civil-correspondence.title")}</a></li>
                    <li data-report="civil-measured-quantity"><a href="#civil-measured-quantity">${message("page.reports.civil-measured-quantity.title")}</a></li>
                    <li data-report="civil-milestone"><a href="#civil-milestone">${message("page.reports.civil-milestone.title")}</a></li>
                    <li data-report="civilpunchlist"><a href="#civilpunchlist">${message("page.reports.civilpunchlist.title")}</a></li>
                    <li data-report="civil-technical-queries"><a href="#civil-technical-queries">${message("page.reports.technical-queries.title")}</a></li>
                    <li data-report="civil-vor"><a href="#civil-vor">${message("page.reports.vorandvo.title")}</a></li>
                    <li data-report="civil-vorsums"><a href="#civil-vorsums">${message("page.reports.vorandvosums.title")}</a></li>
               </#if>
            </ul>
   		</div>

   		<!-- <li data-report="riskmanagement"><a href="#">${message("page.reports.riskmanagement.title")}</a></li> -->
   </@>
</@>
