<#assign controlId=args.htmlid?html>

<@standalone>
    <@markup id="css" >
    </@>

    <@markup id="js">

        <script type="text/javascript">//<![CDATA[
            (function()
            {
                require([Alfresco.constants.URL_RESCONTEXT + 'components/data-lists/revision-history.js'], function () {
                    new Lyse.component.RevisionHistoryControl("${controlId?js_string}").setOptions(
                    {
                        nodeRef: '${args.nodeRef?js_string}',
                        revisionProperty: '${args.revisionProperty?js_string}'
                    }).setMessages(
                        ${messages}
                        );
                    });
            })();
        //]]></script>

    </@>

    <@markup id="widgets">
        <@createWidgets group="forms"/>
    </@>

    <@markup id="html">

        <label for="${controlId?html}">${args.fieldLabel?html}:</label>

        <button id="${controlId?html}-show-hide-revision-history">${msg("label.hideRevisionHistory")?html}</button>

        <div id="${controlId?html}">
            <div id="${controlId?html}-revision-history" class="revision-history">
                <div id="${controlId?html}-list" class="body scrollableList">
                    <div id="${controlId?html}-revision-history-table"></div>
                </div>
            </div>
        </div>
    </@>
</@standalone>
