<@markup id="css" >
   <#-- CSS Dependencies -->
   <#include "/org/alfresco/components/form/form.css.ftl"/>
   <@link href="${url.context}/res/components/workflow/workflow-form.css" group="workflow"/>
   
   <#-- Global Folder Picker (req'd by Copy/Move To) -->
   <@link rel="stylesheet" type="text/css" href="${page.url.context}/res/modules/documentlibrary/global-folder.css" />
   
   <#-- Cloud Authentication -->
   <@link rel="stylesheet" type="text/css" href="${page.url.context}/res/modules/cloud/cloud-auth-form.css" />
   <#-- Cloud Folder Picker -->
   <@link rel="stylesheet" type="text/css" href="${page.url.context}/res/modules/cloud/cloud-folder-picker.css" />
   <#-- Cloud Sync Status -->
   <@link rel="stylesheet" type="text/css" href="${page.url.context}/res/modules/cloud/cloud-sync-status.css" />
</@>

<@markup id="js">
   <#-- JavaScript Dependencies -->
   <#include "/org/alfresco/components/form/form.js.ftl"/>
   <@script src="${url.context}/res/components/workflow/workflow-form.js" group="workflow"/>
   <@script src="${url.context}/res/components/workflow/lyse-workflow-form.js" group="workflow"/>
   
   <@script src="${url.context}/res/modules/documentlibrary/doclib-actions.js" group="workflow" />
   <@script src="${url.context}/res/modules/simple-dialog.js" group="workflow"/>
   <@script src="${url.context}/res/modules/documentlibrary/global-folder.js" group="workflow" />
   <@script src="${url.context}/res/modules/documentlibrary/cloud-folder.js" group="workflow" />
   <@script src="${url.context}/res/modules/cloud-auth.js" group="workflow" />
</@>

<@markup id="widgets">
   <@createWidgets group="workflow"/>
</@>

<@markup id="html">
   <@uniqueIdDiv>
      <#assign el=args.htmlid?html>
      <div id="${el}-body" class="workflow-form"></div>
      <div class="hidden">
      <#--
       The workflow details page form is actually a form display of the workflow's start task AND data from the workflow itself.
       The approach taken to mix all this information is described in the Alfresco.WorkflowForm javascript class.
      -->

         <#-- Will be inserted below "Items" in the form after its been loaded through ajax -->
         <div id="${el}-currentTasks-form-section" class="current-tasks">
            <a name="current-tasks"></a>
            <h3>${msg("header.currentTasks")}</h3>
            <div class="form-element-background-color"></div>
         </div>
      
         <#-- Will be inserted in the bottom of the form after its been loaded through ajax -->
         <div id="${el}-workflowHistory-form-section" class="workflow-history">
            <h3>${msg("header.history")}</h3>
		    <span class="first-child" id="hide-workflow-history-container"></span><br/><br/>
            <div id="workflowHistory-table" class="form-element-background-color"></div>
         </div>

          <div id="${el}-workflowDiagram-section" class="workflow-diagram">
              <h3>${msg("header.diagram")}</h3>
			  <span class="first-child" id="hide-workflow-diagram-container"></span><br/>
              <div id="workflowDiagram-table" class="form-element-background-color" style="max-width: 100%;"></div>
          </div>
      </div>
   </@>
</@>
