model.maxItems = getMaxItems();

function getMaxItems()
{
   var myConfig = new XML(config.script),
      maxItems = myConfig["max-items"];
   if (maxItems)
   {
      maxItems = myConfig["max-items"].toString();
   }
   return maxItems && maxItems.length > 0 ? maxItems : null;
}

function main() {
  var interfaceDocuments = {
    id : "InterfaceDocuments",
    name : "Alfresco.dashlet.InterfaceDocuments",
    options : {
      maxItems : parseInt(model.maxItems),
      regionId : args['region-id']
    }
  };
  var dashletResizer = {
    id : "DashletResizer", 
    name : "Alfresco.widget.DashletResizer",
    initArgs : ["\"" + args.htmlid + "\"", "\"" + instance.object.id + "\""],
    useMessages : false
  };
  
  model.widgets = [interfaceDocuments, dashletResizer];
}

main();

