<#-- Set an empty download link for preview content in alfresco. -->
<#macro setDownloadButton>
<span id="linkbutton4" class="yui-button yui-link-button onDownloadDocumentClick">
  <span class="first-child">
    <div class=node-action>
      <!-- Download Button -->
      <a id= downloadLinkId tabindex="0">${msg("button.download")}</a>
    </div>
  </span>
</span>
</#macro>

<#-- If there is content, enable button and set link to data -->
<#macro changeDownloadButtonUrl urlContext contentUrl>
  <script type="text/javascript">
    //<![CDATA[
    document.addEventListener("DOMContentLoaded", function(event) {
      var link = document.getElementById("downloadLinkId");
      link.href = "${urlContext}/proxy/alfresco${contentUrl}?a=true";
    });
    // ]]>
  </script>
</#macro>
