<@markup id="css" >
   <#-- CSS Dependencies -->
   <@link href="${url.context}/res/components/console/export.css" group="console"  />
</@>

<@markup id="js">
   <#-- JavaScript Dependencies -->
   <@script src="${url.context}/res/components/console/consoletool.js" group="console"/>
   <@script src="${url.context}/res/components/console/export.js" group="console"/>
</@>

<@markup id="widgets">
   <@createWidgets group="console"/>
</@>

<@markup id="html">
   <@uniqueIdDiv>
      <!--[if IE]>
      <iframe id="yui-history-iframe" src="${url.context}/res/yui/history/assets/blank.html"></iframe>
      <![endif]-->
      <input id="yui-history-field" type="hidden" />

      <#assign el=args.htmlid?html>

      <div id="${el}-body" class="export">
          <div class="yui-g">
              <div class="yui-u first">
                  <div class="title"><label for="${el}-search-text">${msg("label.title-export")}</label></div>
              </div>
          </div>
          <!-- Export button -->
      	  <span class="yui-button yui-push-button" id="${el}-exportUsers-button">
    			     <span class="first-child">
    			        <button type="button">${msg("label.exportUsers.button")}</button>
    			     </span>
    		  </span>
      </div>

   </@>
</@>
