<#assign el=args.htmlid?html>
<@standalone>
  <@markup id="css" >
    <@link href="${url.context}/res/js/lyse/allsites/widgets/customer-service.css"  group="customerService"/>
  </@>
  <@markup id="js">
    <#include "/org/alfresco/components/form/form.js.ftl"/>
    <@script src="${url.context}/res/modules/simple-dialog.js" group="customerService"/>
    <@script src="${url.context}/res/js/lyse/allsites/widgets/customer-service.js" group="customerService"/>
  </@>
  <@markup id="widgets">
    <@createWidgets group="customerService"/>
  </@>
  <@markup id="html">
    <@uniqueIdDiv>
    	<div id="${el}-body">
        <table id="${el}">
          <tr>
            <td>
              <!-- Widget 1 -->
              <div id="${el}-1" class="project-widget">
                <div class="dashlet customerService">
                  <div class="toolbar flat-button title">
                    <div class="hidden">
                      <div class="header">
                        <span id="${el}-1-header"></span>
                      </div>
                      <#if "${user.isAdmin?c}" == "true">
                        <div class="edit-information">
                          <span class="align-left yui-button yui-menu-button" id="${el}-1-edit">
                              <span class="first-child">
                                <button type="button" tabindex="0">Edit</button>
                              </span>
                          </span>
                        </div>
                      </#if>
                    </div>
                  </div>
                  <div class="body scrollableList" <#if args.height??>style="height: ${args.height?html}px;"</#if>>
                    <div id="${el}-1-content">
                    </div>
                  </div>
                </div>
              </div>
              <!-- END -->
            </td>
            <td>
              <!-- Widget 2 -->
              <div id="${el}-2" class="project-widget">
                <div class="dashlet customerService">
                  <div class="toolbar flat-button title">
                    <div class="hidden">
                      <div class="header">
                        <span id="${el}-2-header"></span>
                      </div>
                  <#if "${user.isAdmin?c}" == "true">
                      <div class="edit-information">
                         <span class="align-left yui-button yui-menu-button" id="${el}-2-edit">
                            <span class="first-child">
                               <button type="button" tabindex="0">Edit</button>
                            </span>
                         </span>
                      </div>
                  </#if>
                    </div>
                  </div>
                  <div class="body scrollableList" <#if args.height??>style="height: ${args.height?html}px;"</#if>>
                    <div id="${el}-2-content">
                    </div>
                  </div>
                </div>
              </div>
              <!-- END -->
            </td>
          </tr>
          <tr>
            <td>
              <!-- Widget 3 -->
              <div id="${el}-3" class="project-widget">
                <div class="dashlet customerService">
                  <div class="toolbar flat-button title">
                    <div class="hidden">
                      <div class="header">
                        <span id="${el}-3-header"></span>
                      </div>
                    <#if "${user.isAdmin?c}" == "true">
                      <div class="edit-information">
                         <span class="align-left yui-button yui-menu-button" id="${el}-3-edit">
                            <span class="first-child">
                               <button type="button" tabindex="0">Edit</button>
                            </span>
                         </span>
                      </div>
                    </#if>
                    </div>
                  </div>
                  <div class="body scrollableList" <#if args.height??>style="height: ${args.height?html}px;"</#if>>
                    <div id="${el}-3-content">

                    </div>
                  </div>
                </div>
              </div>
              <!-- END -->
            </td>
            <td>
              <!-- Widget 4 -->
              <div id="${el}-4" class="project-widget">
                <div class="dashlet customerService">
                  <div class="toolbar flat-button title">
                    <div class="hidden">
                      <div class="header">
                        <span id="${el}-4-header"></span>
                      </div>
                  <#if "${user.isAdmin?c}" == "true">
                      <div class="edit-information">
                         <span class="align-left yui-button yui-menu-button" id="${el}-4-edit">
                            <span class="first-child">
                               <button type="button" tabindex="0">Edit</button>
                            </span>
                         </span>
                      </div>
                  </#if>
                    </div>
                  </div>
                  <div class="body scrollableList" <#if args.height??>style="height: ${args.height?html}px;"</#if>>
                    <div id="${el}-4-content">
                    </div>
                  </div>
                </div>
              </div>
              <!-- END -->
            </td>
          </tr>
        </table>
      </div>
      <script type="text/javascript">//<![CDATA[
        document.title = "Unosys - Customer Service";
        //]]>
      </script>
    </@>
  </@>
</@standalone>
