//@overridden projects/slingshot/config/alfresco/site-webscripts/org/alfresco/components/profile/user-notifications.post.json.js
/**
 * User Notifications Update method
 *
 * @method POST
 */

function main()
{
  // make remote call to update user notification setting on person object
  var emailFeedDisabled = true;
  var emailNotificationDisabled = true;
  var emailReminderNotificationDisabled = true;
  if (json.has("user-notifications-email"))
  {
    emailFeedDisabled = !(json.get("user-notifications-email") == "on");
  }
  if (json.has("lyse-user-notifications-email"))
  {
    emailNotificationDisabled = !(json.get("lyse-user-notifications-email") == "on");
  }
  if (json.has("lyse-reminder-email"))
  {
    emailReminderNotificationDisabled = !(json.get("lyse-reminder-email") == "on");
  }
  var conn = remote.connect("alfresco");
  var result = conn.post(
    "/slingshot/profile/userprofile",
    jsonUtils.toJSONString(
      {
        "username": user.id,
        "properties":
          {
            "cm:emailFeedDisabled": emailFeedDisabled,
            "lyse:emailNotificationDisabled":emailNotificationDisabled,
            "lyse:emailReminderNotificationDisabled":emailReminderNotificationDisabled
          }
      }),
    "application/json");
  if (result.status == 200)
  {
    model.success = true;
  }
  else
  {
    model.success = false;
    status.code = result.status;
  }
}

main();