<#include "/org/alfresco/include/alfresco-template.ftl" />
<#include "/org/alfresco/include/documentlibrary.inc.ftl" />

<@templateHeader>
    <@markup id="location-hash">
        <@documentLibraryJS />
    </@>
    <@markup id="resizer">
    <script type="text/javascript">//<![CDATA[
    new Alfresco.widget.Resizer("Repository");
    //]]></script>
    </@>
    <@script type="text/javascript" src="${url.context}/res/modules/documentlibrary/doclib-actions.js"></@script>
</@>
<@templateBody>

    <@markup id="bd">
    <div id="bd">
      <div class="share-form">
        <div class="form-manager buttons">
          <div class="buttons-container">
            <span id="task-buttons"></span>
              <span class="yui-button yui-push-button" style="float: right;" id="close-button">
                <span class="first-child">
                  <button onclick="Lyse.util.closeWindow()">${msg("button.close.window")}</button>
                </span>
              </span>
            </div>
          </div>
      	<@region id="actions-common" scope="template" />
        <@region id="tree" scope="template" />
        <@region id="documentlist_v2" scope="template" />
        <@region id="html-upload" scope="template" protected=true />
        <@region id="flash-upload" scope="template" protected=true />
        <@region id="file-upload" scope="template" protected=true />
        <@region id="dnd-upload" scope="page"/>
        <@region id="archive-and-download" scope="template"/>
      </div>
    </div>
    </@>
</@>