<#include "/org/alfresco/include/alfresco-template.ftl" />
<#include "/org/alfresco/include/documentlibrary.inc.ftl" />

<@templateHeader>
    <@markup id="location-hash">
        <@documentLibraryJS />
    </@>
    <@script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"/>
    <@script type="text/javascript" src="${url.context}/res/modules/documentlibrary/doclib-actions.js"></@script>
    <@script type="text/javascript" src="${url.context}/res/components/workflow/lyse-workflow-details.js"/>
    <@script type="text/javascript" src="${url.context}/res/js/lyse/allsites/LyseDatalistActions.js"/>
    <@script type="text/javascript" src="${url.context}/res/js/lyse/allsites/LyseDatalistPageReload.js"/>
    <@script type="text/javascript" src="${url.context}/res/js/lyse/allsites/LyseDatalistDetails.js"/>
    <@link href="${url.context}/res/components/css/datalistitem-print.css" media="print" />
</@>
<@templateBody>
    <script type="text/javascript">//<![CDATA[
	  function init() {
	    if(window.location.href.indexOf("#") != -1){
	      window.location.href = window.location.href;
	    }
	  }
	  window.onload = setTimeout(init, 3000);
    //]]></script>
    <@markup id="alf-hd">
        <div id="alf-hd">
            <@region scope="global" id="share-header" chromeless="true"/>
        </div>
    </@>
    <@markup id="bd">
    <div id="bd">
        <@region id="datalist-details-actions" scope="template" />
        <@region id="data-form" scope="page" />
        <@region id="actions-common" scope="template" />
        <@region id="actions" scope="template" />
        <div class="form-manager buttons">
        <@region id="punch-items-overview" scope="template" />
		    <@region id="civil-punch-items-overview" scope="template" />
        <@region id="mc-packages-overview" scope="template" />
        <@region id="mq-version-history" scope="template" />
        <@region id="tree" scope="template" />
        <@region id="documentlist_v2" scope="template" />
        </div>
        <@region id="data-actions" scope="page" />
        <@region id="html-upload" scope="template" protected=true />
        <@region id="flash-upload" scope="template" protected=true />
        <@region id="file-upload" scope="template" protected=true />
        <@region id="dnd-upload" scope="page"/>
        <@region id="archive-and-download" scope="template"/>
    </div>
        <@region id="doclib-custom" scope="template"/>
    </@>
</@>

<@templateFooter>
    <@markup id="alf-ft">
    <div id="alf-ft">
        <@region id="data-loader" scope="page" />
    </div>
    </@>
</@>
