// Utility function to textualise a javascript object
function dumpObject(obj, maxDepth) {
  var dump = function(obj, name, depth, tab) {
	var output="[empty]";
    if (depth > maxDepth) {
      return name + ' - Max depth\n';
    }
    if (typeof(obj) == 'object') {
      var child = null;
      output = tab + name + '\n';
      tab += '\t';
      for (var item in obj) {
        child = obj[item];
        if (typeof(child) == 'object') {
          output += dump(child, item, depth + 1, tab);
        } else {
          output += tab + item + ': ' + child + '\n';
        }
      }
    }
    return output;
  };
  return dump(obj, '', 0, '');
}
