
require([Alfresco.constants.URL_RESCONTEXT + "components/form/rich-text.js"], function() {
    (function(){

        Alfresco.LyseRichTextControl=function(htmlId, name){
            name = name || "Alfresco.LyseRichTextControl";
            Alfresco.LyseRichTextControl.textfields.push(this);
            return Alfresco.LyseRichTextControl.superclass.constructor.call(this, htmlId, name);
        };

        // Iterate over all registered editors and call _handleContentChange which updates the hidden text area and handles mandatory fields
        Alfresco.LyseRichTextControl.updateAll=function(){
            if (console) console.log("Number of rich text fields: " + Alfresco.LyseRichTextControl.textfields.length);
            for (var i=0;i<Alfresco.LyseRichTextControl.textfields.length;i++){
                var field = Alfresco.LyseRichTextControl.textfields[i];
                if (field.editor) {
                    if (console) console.log("Updating rich text field: " + field.id);
                    field._handleContentChange();
                }
            }
        };

        // Array of textfields
        Alfresco.LyseRichTextControl.textfields=[];

        YAHOO.extend(Alfresco.LyseRichTextControl, Alfresco.RichTextControl);

    })();
});
 
