if (typeof String.prototype.endsWith !== 'function') {
	String.prototype.endsWith = function(suffix) {
		return this.indexOf(suffix, this.length - suffix.length) !== -1;
	}
}
if ( !String.prototype.contains ) {
    String.prototype.contains = function() {
	return String.prototype.indexOf.apply( this, arguments ) !== -1;
    };
}
if (typeof Array.prototype.hasEndingSameAsOne !== 'function') {
	Array.prototype.hasEndingSameAsOne = function(word) {
		for (var i = 0; this.length > i; i++)
			if (word.endsWith(this[i])) return true;
		return false;
	}
}
if (typeof Array.prototype.oneIdContains !== 'function') {
	Array.prototype.oneIdContains = function(word) {
		for (var i = 0; this.length > i; i++)
			if (this[i].id.contains(word)) return true;
		return false;
	}
}

if (typeof Array.prototype.first !== 'function') {
	Array.prototype.first = function(word) {
		for (var i = 0; this.length > i; i++)
			if (this[i].id.contains(word)) return this[i];
		return null;
	}
}
if (typeof Array.prototype.allValued !== 'function') {
	Array.prototype.allValued = function(word) {
		for (var i = 0; this.length > i; i++)
			if (this[i].value != word) return false;
		return true;
	}
}